import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id: artistGalleryViewer
    width: parent.width
    height: parent.height

    property alias gridViewModel: galleryGridView.model

    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    StationPlayerTopBar {
        id: topBarBg
        anchors.top: parent.top
        stationNameText: context.currentSongArtist + qsTr("'s Photos")
    }

    GridView {
        id: galleryGridView
        width: parent.width
        anchors.top: topBarBg.bottom
        anchors.topMargin: 5
        anchors.bottom: pageBottomBar.top
        anchors.bottomMargin: 5
        clip: true
        maximumFlickVelocity: 3000
        cellWidth: width/3
        cellHeight: cellWidth

        delegate: Image {
            width: GridView.view.cellWidth-2
            height: width
            asynchronous: true
            smooth: true
            source: modelData

            MouseArea{
                anchors.fill:parent
                onClicked: {
                    pageStack.push(Qt.resolvedUrl("ArtistPhotoViewer.qml"),
                                   {photoIndex: index+1,
                                       photoCount: galleryGridView.count});
                }
            }
        }
    }

    StationsBottomBar {
        id: pageBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
        }
    }
}

