import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id: artistPhotoViewer
    width: parent.width
    height: parent.height

    property int photoIndex: 1
    property int photoCount: 0

    function priorPhoto(number) {
        photoIndex = --number % photoCount;
        photoIndex = photoIndex > 0? photoIndex: photoCount
        return photoIndex;
    }

    function nextPhoto(number) {
        photoIndex = ++number % photoCount;
        photoIndex = photoIndex > 0? photoIndex: photoCount
        return photoIndex
    }

    Connections{
        target: context
        onGetCurrentArtistPhotoFinished: {
            photoViewer.source = url;
        }
    }

    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    Image {
        id: topBarBg
        anchors.top: parent.top
        source: "../image/top_bar.png"

        Text {
            id: pageName
            anchors.centerIn: parent
            color: "white"
            font.pixelSize: 20
            font.bold: true
            text: "" + photoIndex + qsTr(" of ") + photoCount
        }

        MyButton {
            id: leftBt
            anchors.right: pageName.left
            anchors.rightMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            image: "../image/play_b.png"

            onClicked: {
                context.currentArtistPhoto(priorPhoto(photoIndex)-1);
            }

        }

        MyButton {
            id: rightBt
            anchors.left: pageName.right
            anchors.leftMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            image: "../image/play.png"

            onClicked: {
                context.currentArtistPhoto(nextPhoto(photoIndex)-1);
            }
        }
    }

    Image {
        id: photoViewer
        width: parent.width
        anchors.top: topBarBg.bottom
        anchors.bottom: pageBottomBar.top
        fillMode: Image.PreserveAspectFit
        smooth: true
    }

    StationsBottomBar {
        id: pageBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
        }
    }

    Component.onCompleted: {
        context.currentArtistPhoto(photoIndex-1);
    }
}
