import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1

Rectangle {
    id: cameraPage
    width: parent.width
    height: parent.height
    color: "black"

    Rectangle {
        id: cameraArea
        width: parent.width
        height: parent.height - ctrlLabel.height
        color: "black"

        Camera {
            id: camera
            rotation: 90
            x: 0
            y: 0
            captureResolution: Qt.size(parent.width, parent.width);
            width: parent.width
            height: parent.height
            focus: true
            visible: true

            flashMode: Camera.FlashRedEyeReduction
            whiteBalanceMode: Camera.WhiteBalanceFlash
            exposureCompensation: -1.0

            onImageCaptured: {
                camera.visible = false
            }

            onImageSaved: {
                context.manipulatePhoto(camera.capturedImagePath,
                                        "/home/user/.thumbnails/grid/"
                                        + Qt.md5("file://"+camera.capturedImagePath)
                                        + ".jpeg");
                photopreview.visible = true;
                photopreview.source = "file://" + camera.capturedImagePath;
                cameraArea.visible = false;
                ctrlLabel.visible = false;


            }
        }
    }

    PhotoClipping {
        id: photopreview
        width: parent.width
        height: parent.height
        visible: false

        onReturnToLastPage: {
            photopreview.visible = false;
            cameraArea.visible = true;
            camera.visible = true;
            ctrlLabel.visible = true;
        }
    }

    Rectangle {
        id: ctrlLabel
        width: parent.width
        height: 100
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        color: "black"

        Image {
            id: cancelBtn
            height: 50
            anchors.left: parent.left
            anchors.leftMargin: 50
            anchors.verticalCenter: parent.verticalCenter
            source: "../image/cancel_a.png"

            Text {
                text: qsTr("Cancel")
                font.bold: true
                font.pixelSize: 24
                color: "white"
                anchors.centerIn: cancelBtn
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    pageStack.pop();
                }
            }
        }

        Image {
            id: captureBtn
            height: 50
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 20
            source: "../image/cancel_a.png"

            Text {
                text: qsTr("Capture")
                font.bold: true
                font.pixelSize: 24
                color: "white"
                anchors.centerIn: captureBtn
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    camera.captureImage();
                }
            }
        }
    }
}
