import QtQuick 1.0
import "CommonUtil.js" as Util
import com.nokia.meego 1.0
import RoundedImage 1.0

Item {
    id: showFriendsByList
    property alias listViewModel: listView.model
    width: parent.width
    height: parent.height

    function isSelected(friendId){
        var checkBoxChecked=false;
        for(var i=0;i<selectedFriendIdmodel.count;i++){
            if(selectedFriendIdmodel.get(i).id==friendId)
                checkBoxChecked=true;
        }
        return checkBoxChecked;
    }
    ListView {
        id: listView
        width: parent.width
        height: parent.height
        clip: true
        delegate: listViewDelegate
    }
    Component {
        id: listViewDelegate
        Item {
            width: ListView.view.width
            height: 100
            Item {
                id: stationIcon
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.verticalCenter: parent.verticalCenter
                width: 90;
                height: width;
                smooth: true
                RoundedImage {
                    id: defaultImg
                    width: parent.width - 2
                    height: width
                    anchors.centerIn: parent
                    source: Util.getRandomDefaultThumb();
                    engine: declarativeEngine
                }
                RoundedImage {
                    id: friendsImage
                    visible: false
                    width: parent.width - 2
                    height: width
                    anchors.centerIn: parent
                    source: pictureUrl
                    engine: declarativeEngine
                }
            }
            Text {
                id: friendsName
                anchors.top: stationIcon.top
                anchors.topMargin: 20
                anchors.left: stationIcon.right
                anchors.leftMargin: 20
                anchors.right: parent.right
                elide: Text.ElideRight
                color: "white"
                font.pixelSize: 20
                text: friendName
            }
            CheckBox{
                id:selectedStatus
                anchors.right: parent.right
                anchors.rightMargin: 20
                anchors.verticalCenter: parent.verticalCenter
                checked: showFriendsByList.isSelected(friendId)?true:false
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    if(selectedStatus.checked==false){
                        selectedStatus.checked=true;
                        var appendAlready = false;
                        for(var j=0;j<selectedFriendIdmodel.count;j++){
                            if(selectedFriendIdmodel.get(j).id==friendId){
                                appendAlready=true;
                            }
                        }
                        if(appendAlready==false){
                            selectedFriendIdmodel.append({"id":friendId});
                        }else{
                            appendAlready=false;
                        }
                    }else{
                        selectedStatus.checked=false;
                        for(var i=0;i<selectedFriendIdmodel.count;i++){
                            if(selectedFriendIdmodel.get(i).id==friendId){
                                var b = i;
                                selectedFriendIdmodel.remove(b);
                            }
                        }
                    }
                }
            }
            states: [
                 State {
                     name: "Show"; when: friendsImage.imageStatus == RoundedImage.Ready
                     PropertyChanges { target: friendsImage; visible: true }
                     PropertyChanges {target: defaultImg; visible: false}
                 }
             ]
             transitions: [
                 Transition {
                     NumberAnimation {
                         properties: "scale"; duration: 500; easing.type: Easing.InOutQuad
                     }
                 }
             ]
        }
    }
}
