import QtQuick 1.0

Rectangle {
    id:cancelAndDoneBar
    width: parent.width
    height: topBarBg.sourceSize.height
    signal cancel
    signal done
    property string cancelText
    property string doneText
    property bool doneIsClickable: true

    Image {
        id: topBarBg
        source: "../../image/top_bar.png"
    }
    Rectangle{
        id:cancelBtn
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.verticalCenter: topBarBg.verticalCenter
        width: cancelBtnBg.sourceSize.width
        height: cancelBtnBg.sourceSize.height
        color: "transparent"
        Image {
            id: cancelBtnBg
            source: "../../image/cancel_a.png"
        }
        Text {
            text: cancelText
            font.bold: true
            font.pixelSize: 24
            color: "white"
            anchors.centerIn: cancelBtnBg
        }
        MouseArea{
            anchors.fill:parent
            onClicked: {
                cancelAndDoneBar.cancel();
            }
        }
    }

    Rectangle{
        id:doneBtn
        anchors.right:parent.right
        anchors.rightMargin: 30
        anchors.verticalCenter: topBarBg.verticalCenter
        width: doneBtnBg.sourceSize.width
        height: doneBtnBg.sourceSize.height
        color: "transparent"
        Image {
            id: doneBtnBg
            source: cancelAndDoneBar.doneIsClickable==true?"../../image/cancel_a.png":"../../image/cancel_b.png"
        }
        Text {
            text: doneText
            font.bold: true
            font.pixelSize: 24
            color: "white"
            anchors.centerIn: doneBtnBg
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                if(cancelAndDoneBar.doneIsClickable){
                    cancelAndDoneBar.done();
                }
            }
        }
    }
}
