import QtQuick 1.0

Rectangle {
    id:commonAccountInput
    width: parent.width
    height: parent.height

    color: "transparent"

    property string imgAccountInputBg:""
    property string imgPasswordInputBg:""

    property alias accountText: account
    property alias accountTextInput: accountInput
    property alias passwordText: passWord
    property alias passwordTextInput: pwdInput

    property real textLeftOffset:0
    property real textRightOffset:0

    property real inputStartMargin:0
    property real inputEndMargin:0

    property real baseSpacing:0
    property real firstSpacing:0
    property real secondSpacing:0
    property real thirdSpacing:0
    property real fourthSpacing:0

    function getAccount()
    {
        return accountInput.text
    }
    function getPassword()
    {
        return pwdInput.text
    }

    function getRealHeight()
    {
        return (account.height+accountInputBg.height+passWord.height+pwdInputBg.height);
    }

    Text {
        id: account
        text: qsTr("Account")
        color: "gray"
        font.bold: true
        font.pixelSize: 24
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: parent.anchors.topMargin+firstSpacing
        anchors.leftMargin: parent.anchors.leftMargin+textLeftOffset
    }
    Image {
        id: accountInputBg
        source: imgAccountInputBg
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top:account.bottom
        anchors.topMargin:secondSpacing
    }
    TextInput{
        id:accountInput
        anchors.verticalCenter: accountInputBg.verticalCenter
        anchors.left: accountInputBg.left
        anchors.right: accountInputBg.right
        anchors.leftMargin: inputStartMargin
        anchors.rightMargin: inputEndMargin
        font.pixelSize: 24
    }
    Text {
        id: passWord
        text: qsTr("Password")
        color: "gray"
        font.bold: true
        font.pixelSize: 24
        anchors.left:account.left
        anchors.top: accountInputBg.bottom
        anchors.topMargin: thirdSpacing
    }
    Image {
        id: pwdInputBg
        source: imgPasswordInputBg
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top:passWord.bottom
        anchors.topMargin:fourthSpacing
    }
    TextInput{
        id:pwdInput
        anchors.verticalCenter: pwdInputBg.verticalCenter
        anchors.left: pwdInputBg.left
        anchors.right: pwdInputBg.right
        font.pixelSize: 24
        echoMode: TextInput.Password
        anchors.leftMargin: inputStartMargin
        anchors.rightMargin: inputEndMargin
    }

//    states:[
//        State {
//             name: "TitleAppear"
//             AnchorChanges
//             {
//                 target: account
//                 anchors.left: title.left
//                 anchors.top: title.bottom
//                 anchors.right: undefined
//                 anchors.bottom: undefined
//             }
//        },
//        State {
//             name: "TitleDisappear"
//             AnchorChanges
//             {
//                 target: account
//                 anchors.left: commonAccountInput.left
//                 anchors.top: commonAccountInput.top
//                 anchors.right: undefined
//                 anchors.bottom: undefined
//             }
//        }
//     ]

//    function updateView()
//    {
//        if(title.visible)
//        {
//            commonAccountInput.state="TitleAppear";
//        }
//        else
//        {
//            commonAccountInput.state="TitleDisappear";
//        }
//    }

    //Component.onCompleted: updateView()
}
