import QtQuick 1.0


Image
{
    id:imgButtonBG
    property string flickButtonBG: ""
    property string flickButtonSource: ""
    property real buttonLeftMargin: 0
    property real buttonTopMargin: 0
    property real buttonRightMargin: 0
    property real buttonBottomMargin: 0
    property bool positionLeft:true

    source: flickButtonBG

    signal switchTrigger
    signal init

    function updateButtonState()
    {
        if(positionLeft)
        {
            imgButtonBG.state = "anchorToLeft"
        }
        else
        {
            imgButtonBG.state = "anchorToRight"
        }
    }

    Image {
        id: imgFlickButton
        source: flickButtonSource
        anchors.top:parent.top;
        anchors.bottom: parent.bottom
        anchors.leftMargin: buttonLeftMargin
        anchors.topMargin: buttonTopMargin
        anchors.rightMargin: buttonRightMargin
        anchors.bottomMargin: buttonBottomMargin
        width:parent.width/2
    }

    states:[
        State {
             name: "anchorToLeft"
             AnchorChanges
             {
                 target: imgFlickButton
                 anchors.left: imgButtonBG.left
                 anchors.right: undefined
             }
        },
        State {
             name: "anchorToRight"
             AnchorChanges
             {
                 target: imgFlickButton
                 anchors.right: imgButtonBG.right
                 anchors.left: undefined
             }
        }
     ]
//         transitions: Transition {
//             // smoothly reanchor myRect and move into new position
//             AnchorAnimation { duration: 1000 }
//         }
    MouseArea {
        anchors.fill: parent
        hoverEnabled:true
        onClicked: {
            if(mouseX<(parent.width/2))
            {
                positionLeft=true;
                imgButtonBG.state = "anchorToLeft";
                switchTrigger();
            }
            else
            {
                positionLeft=false;
                imgButtonBG.state = "anchorToRight";
                switchTrigger();
            }
        }
    }

    Component.onCompleted: init()
}

