import QtQuick 1.0

Image
{
    id:imgButtonBG
    property string flickButtonBG: ""
    property string flickButtonSource: ""
    property real buttonLeftMargin: 0
    property real buttonTopMargin: 0
    property real buttonRightMargin: 0
    property real buttonBottomMargin: 0
    property bool positionTop:true

    source: flickButtonBG

    signal switchTrigger
    signal init

    function updateButtonState()
    {
        if(positionLeft)
        {
            imgButtonBG.state = "anchorToTop"
        }
        else
        {
            imgButtonBG.state = "anchorToBottom"
        }
    }

    Image {
        id: imgFlickButton
        source: flickButtonSource
        anchors.left:parent.left;
        anchors.right: parent.right
        anchors.leftMargin: buttonLeftMargin
        anchors.topMargin: buttonTopMargin
        anchors.rightMargin: buttonRightMargin
        anchors.bottomMargin: buttonBottomMargin
        height: parent.height/2
    }

    states:[
        State {
             name: "anchorToTop"
             AnchorChanges
             {
                 target: imgFlickButton
                 anchors.top: imgButtonBG.top
                 anchors.bottom: undefined
             }
        },
        State {
             name: "anchorToBottom"
             AnchorChanges
             {
                 target: imgFlickButton
                 anchors.bottom: imgButtonBG.bottom
                 anchors.top: undefined
             }
        }
     ]

    MouseArea {
        anchors.fill: parent
        hoverEnabled:true
        onClicked: {
            if(mouseY<(parent.height/2))
            {
                positionTop=true;
                imgButtonBG.state = "anchorToTop";
                switchTrigger();
            }
            else
            {
                positionTop=false;
                imgButtonBG.state = "anchorToBottom";
                switchTrigger();
            }
        }
    }

    Component.onCompleted: init()
}
