import QtQuick 1.0
import QtWebKit 1.0
import com.nokia.meego 1.0

Rectangle {
    id:facebooklogin
    width: parent.width
    height: parent.height
    color: "transparent"
    state: "HideDown"

    property string accessToken:""
    property string fuid: ""
    property string facebookEmail: ""
    property string facebookFn: ""
    property string facebookLn: ""
    property bool createFromFb: false

    onAccessTokenChanged:{
        if(accessToken!=""){
            mask.visible=true;
            indicator.running=true;
            indicator.visible=true;
            closeSoftwareInput.closeSoftwareInputPanel();
            context.getFacebookUid(accessToken);
        }
    }
    Connections {
        target: context
        onGetFacebookUidFinished:{
            if(type===0){
                mainPage.fbFn = firtName;
                mainPage.fbLn = lastName;
                mainPage.fbId = fuid;
                if(mainPage.faceBookCreateFrom=="login"){
                    facebooklogin.fuid=fuid;
                    facebooklogin.facebookEmail=facebookEmail;
                    facebooklogin.facebookFn = firtName;
                    facebooklogin.facebookLn = lastName;
                    context.getUserByFacebookUid(facebooklogin.fuid);
                }else if(mainPage.faceBookCreateFrom=="share"){
                    mainPage.faceBookToken=facebooklogin.accessToken;
                    mask.visible=false;
                    indicator.running=false;
                    indicator.visible=false;
                    pageStack.push(Qt.resolvedUrl("ShareEidt.qml"),{shareType:"Facebook"});
                    facebooklogin.destroy();
                }else if(mainPage.faceBookCreateFrom=="invite"){
                    mainPage.faceBookToken=facebooklogin.accessToken;
                    mask.visible=false;
                    indicator.running=false;
                    indicator.visible=false;
                    pageStack.push(Qt.resolvedUrl("TwFbSuggestedFriendView.qml"),{inviteType:"Facebook"});
                    facebooklogin.destroy();
                }else if(mainPage.faceBookCreateFrom=="connect"){
                    mainPage.faceBookToken=facebooklogin.accessToken;
                    mask.visible=false;
                    indicator.running=false;
                    indicator.visible=false;
                    facebookConnectPage.fbclicked=false;
                    facebooklogin.destroy();
                }
            }else{
                startUpScreen.errorDialog.open();
                facebooklogin.destroy();
            }
        }
        onGetUserByFacebookUidFinished:{
            if(type===0){
                context.fbLogin(facebooklogin.fuid);
            }else if(type==1){
                if(facebooklogin.facebookEmail==""){
                    var date = new Date();
                    var nowTime = "";
                    nowTime = date.getYear();
                    nowTime = nowTime+date.getMonth();
                    nowTime = nowTime+date.getDate();
                    nowTime = nowTime+date.getHours();
                    nowTime = nowTime+date.getMinutes();
                    nowTime = nowTime+date.getSeconds();
                    var seed_array = ["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"];
                    for (var i = 0;i<8;i++){
                        var index = Math.floor(Math.random()*seed_array.length-1);
                        nowTime = nowTime+seed_array[index];
                    }
                    nowTime = nowTime+"fb";
                    facebooklogin.facebookEmail= nowTime+"@soundtracker.fm";
                }
                createFromFb=true;
                context.createAccount(facebooklogin.facebookFn,facebooklogin.facebookLn,facebooklogin.facebookEmail,"");
            }else if(type==2){
                startUpScreen.errorDialog.open();
                facebooklogin.destroy();
            }
        }
        onCreateAccountFinished:{
            if(createFromFb){
                facebooklogin.facebookFn = "";
                facebooklogin.facebookLn = "";
                if(type===0){
                    context.setFaceBookUid(facebooklogin.facebookEmail,facebooklogin.fuid);
                }else if(type==2){
                    context.setFaceBookUid(facebooklogin.facebookEmail,facebooklogin.fuid);
                }else if(type==1){
                    startUpScreen.errorDialog.open();
                    facebooklogin.destroy();
                }
            }
        }
        onSetFaceBookUidFinished:{
            facebooklogin.facebookEmail="";
            if(type===0){
                context.fbLogin(facebooklogin.fuid);
            }else{
                startUpScreen.errorDialog.open();
                facebooklogin.destroy();
            }
        }
        onFbLonginFinished:{
            if(mainPage.faceBookCreateFrom=="login"){
                facebooklogin.fuid="";
                if(type===0){
                    mask.visible=false;
                    indicator.running=false;
                    indicator.visible=false;
                    mainPage.localstorage.save(accessToken,"",1);
                    pageStack.push(Qt.resolvedUrl("SoundTrackerMain.qml"));
                    facebooklogin.destroy();
                    mainPage.faceBookToken=accessToken;
                    mainPage.mainViewDepth=2;
                }else{
                    startUpScreen.errorDialog.open();
                    facebooklogin.destroy();
                }
            }
        }
    }

    TextEdit{
        id:closeSoftwareInput
        visible: false
    }
    Rectangle{
        width:parent.width
        height: parent.height
        color: "black"
        opacity: 0.7

        MouseArea{
            anchors.fill: parent
            onClicked: {
                closeSoftwareInput.closeSoftwareInputPanel();
            }
        }
    }
    WebView{
        id: webView
        width: parent.width-50
        height: parent.height-150
        contentsScale: 1.3
        focus: true
        url: "https://www.facebook.com/dialog/oauth?client_id=150997527214&redirect_uri=http://www.facebook.com/connect/login_success.html&type=user_agent&display=touch&scope=publish_stream"
        preferredHeight: webView.height/1.3
        preferredWidth: webView.width/1.3
        anchors.centerIn: parent
        onLoadFinished:{
            indicator2.visible=false;
            indicator2.running=false;
            var access_token = "#access_token=";
            var urlString= ""+url;
            var index = urlString.indexOf(access_token);
            if(index>0){
                accessToken = urlString.substring(index + access_token.length,urlString.length)
            }
        }
        onLoadFailed: {
            indicator2.visible=false;
            indicator2.running=false;
        }
    }

    Rectangle{
        id:closeBtn
        width: 40
        height: 40
        color: "transparent"
        anchors.right: webView.right
        anchors.rightMargin: 5
        anchors.top: webView.top
        anchors.topMargin: -5
        Image {
            id: closeIcon
            source: "../image/fork.png"
            anchors.centerIn: parent
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                if(mainPage.faceBookCreateFrom=="login") {
                    startUpScreen.fbclicked=false;
                }else if(mainPage.faceBookCreateFrom=="share") {
                    shareStationPage.fbclicked=false;
                }else if(mainPage.faceBookCreateFrom=="invite") {
                    inviteFriendMainPage.fbclicked=false;
                }else if(mainPage.faceBookCreateFrom=="connect"){
                    facebookConnectPage.fbclicked=false;
                }
                closeSoftwareInput.closeSoftwareInputPanel();
                facebooklogin.state="HideDown";
            }
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }

    BusyIndicator{
        id: indicator2
        platformStyle: BusyIndicatorStyle { size: "large" }
        running: true
        visible: true
        anchors.centerIn: parent
    }
    states: [
        State {
            name: "HideDown"
            AnchorChanges{
                target: facebooklogin
                anchors.top: parent.bottom
                anchors.bottom: undefined
            }
        },
        State {
            name: "ShowUp"
            AnchorChanges{
                target: facebooklogin
                anchors.top: parent.top
                anchors.bottom: undefined
            }
        }
    ]

    transitions: [
        Transition {
            from: "HideDown"
            to: "ShowUp"
            reversible: true
            AnchorAnimation{
                targets: facebooklogin
                duration: 500;
                easing.type: Easing.InCubic;
            }
        }
    ]
}
