import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id:facebookConnectPage
    width: parent.width
    height: parent.height

    property bool fbclicked: false
    property bool componentCreated: false
    property bool componentOut: false
    property variant facebookQml
    property variant component
    property variant facebookQml2
    property variant component2
    property bool disconnectFailed: false

    function facebookClicked(){
        if(fbclicked==false){
            fbclicked = true;
            if(componentCreated==false){
                componentCreated=true;
                component = Qt.createComponent("FaceBookLogin.qml");
                if(component.status == Component.Ready){
                    facebookQml = component.createObject(facebookConnectPage);
                    facebookQml.state="ShowUp"
                }
            }else{
                facebookConnectPage.facebookQml.state = "ShowUp";
            }
        }
    }
    function facebooklogout(){
        if(fbclicked==false){
            fbclicked = true;
            component2 = Qt.createComponent("FacebookLogout.qml");
            if(component2.status == Component.Ready){
                facebookQml2 = component2.createObject(facebookConnectPage);
            }
        }
    }

    Image {
        id: bg
        source: "../image/home_bg.png"
    }
    StationsTopBar{
        id:topBar
        stationNameText:qsTr("Facebook Connect")
    }
    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: bottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    StationsBottomBar{
        id:bottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
    Text {
        id: title
        text:mainPage.faceBookToken===""
             ? qsTr("Connect to") + " Facebook!"
             : qsTr("You are connected to") + " Facebook!"
        anchors.top: topBar.bottom
        anchors.topMargin: 20
        font.bold: true
        font.pixelSize: 30
        horizontalAlignment: mainPage.faceBookToken===""?Text.AlignLeft:Text.AlignHCenter
        wrapMode: Text.Wrap
        width: parent.width-40
        color: "white"
    }
    Image {
        id: profilePictrue
        anchors.top: title.bottom
        anchors.topMargin: 10
        anchors.horizontalCenter: parent.horizontalCenter
        width: 200
        height: width
        source: mainPage.faceBookToken===""?"../image/soundtrckr_defaults_blue.jpg":"http://graph.facebook.com/"+mainPage.fbId+"/picture?type=large"
    }
    Text {
        id: userName
        text: mainPage.faceBookToken===""?"":mainPage.fbFn+" "+mainPage.fbLn
        anchors.top: profilePictrue.bottom
        anchors.topMargin: 10
        font.bold: true
        font.pixelSize: 30
        horizontalAlignment: Text.AlignHCenter
        wrapMode: Text.Wrap
        width: parent.width-40
        color: "white"
    }
    Text {
        id: introduceInfo
        text:mainPage.faceBookToken===""
             ? qsTr("By signing in you can share your stations and invite friends from") + " Facebook."
             : qsTr("You can currently share your stations and invite friends from") + " Facebook."
        anchors.top: userName.bottom
        anchors.topMargin: 20
        font.bold: true
        font.pixelSize: 24
        anchors.horizontalCenter: parent.horizontalCenter
        wrapMode: Text.Wrap
        width: parent.width-40
        color: "white"
    }
    Image {
        id: connectBtn
        source:mainPage.faceBookToken===""?"../image/others.png":"../image/icon_red.png"
        anchors.top:introduceInfo.bottom
        anchors.topMargin: 20
        anchors.horizontalCenter: parent.horizontalCenter
        MouseArea{
            anchors.fill: parent
            onClicked: {
                if(mainPage.faceBookToken===""){
                    mainPage.faceBookCreateFrom="connect";
                    facebookClicked();
                }else{
                    facebooklogout();
                }
            }
        }
    }
    Text {
        id: bottonText
        text: mainPage.faceBookToken === ""
              ? qsTr("Connect to") + " Facebook"
              : qsTr("Disconnect from") + " Facebook"
        anchors.centerIn: connectBtn
        font.bold: true
        font.pixelSize: 24
        color: "white"
    }
    Image {
        id: warningIcon
        source: "../image/warning.png"
        visible: disconnectFailed
        anchors.left: parent.left
        anchors.leftMargin: 20
        anchors.top: connectBtn.bottom
        anchors.topMargin: 10
    }
    Text {
        id: errorInfo
        anchors.left: warningIcon.right
        anchors.leftMargin: 10
        anchors.top: warningIcon.top
        wrapMode: Text.Wrap
        width: parent.width-50
        color: "red"
        font.pixelSize: 24
        text: qsTr("Disconnect failed. Please try again.")
        visible: disconnectFailed
    }
    Timer{
        id: timer
        running: disconnectFailed
        interval: 4000
        onTriggered: {
            disconnectFailed=false;
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }
}
