import QtQuick 1.0

Item {
    id: searchArea
    width: parent.width
    height: searchAreaBg.sourceSize.height

    property string belongto
    property bool startInput: false
    property alias searchInput: searchInput

    Connections{
        target: context
        onSearchCurrentFriendsFinished:{
            mask.visible=false;
            indicator.running = false;
            indicator.visible = false;
            if(searchInput.text===""||searchInput.text===searchedDefaultText.text)
            {
                if(belongto==""){
                    if(friendsStationListView.selcetedItem==1){
                        friendsStationListView.friendsList.listViewModel = followersModel;
                    }
                    else{
                        friendsStationListView.friendsFollowingList.listViewModel = followingModel;
                    }
                }else if(belongto=="Twitter"){
                    suggestedFriends.friendsListView.model = twSuggestFriendModel;
                }
                else if(belongto=="Facebook"){
                    suggestedFriends.friendsListView.model = fbSuggestFriendModel;
                }
            }
            else
            {
                if(belongto==""){
                    if(friendsStationListView.selcetedItem==1){
                        friendsStationListView.friendsList.listViewModel = searchedFollowersFriendsModel;
                    }
                    else{
                        friendsStationListView.friendsFollowingList.listViewModel = searchedFollowingFriendsModel;
                    }
                }else if(belongto=="Twitter"){
                    suggestedFriends.friendsListView.model = searchedTwitterFriendsModel;
                }
                else if(belongto=="Facebook"){
                    suggestedFriends.friendsListView.model = searchedFacebookFriendsModel;
                }
            }
        }
    }
    Image {
        id: searchAreaBg
        anchors.fill: parent
        source: "../image/search_bg.png"
    }
    Image {
        id: searchBox
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.verticalCenter: parent.verticalCenter
        anchors.bottomMargin: 10
        source: "../image/search.png"

        Text {
            id: searchedDefaultText
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.rightMargin: 50
            anchors.leftMargin: 30
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 20
            color: "gray"
            wrapMode: Text.Wrap
            elide: Text.ElideRight
            text:belongto==""?qsTr("Search for")+" "+qsTr("friends"): qsTr("Search for")+" "+belongto+" "+qsTr("friends")
            visible:
            {
                if(searchInput.focus)
                {
                    return false;
                }
                else
                {
                    if(searchInput.text==="")
                    {
                        searchInput.closeSoftwareInputPanel();
                        return true;
                    }
                    else
                    {
                        return false;
                    }
                }
            }
        }

        TextInput
        {
            id:searchInput
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.leftMargin: 30
            anchors.rightMargin: 50
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 20
            text: ""
            color: "black"
            onFocusChanged:
            {
                startInput=focus;
            }
            onTextChanged: {
                if(text==="")
                {
                    if(focus)
                    {
                        mask.visible = true;
                        indicator.running = true;
                        indicator.visible = true;
                        focus=false;
                        timer.restart();
                    }
                }
                if(startInput)
                {
                    mask.visible = true;
                    indicator.running = true;
                    indicator.visible = true;
                    if(timer.running === false)
                        timer.start();
                    else{
                        timer.restart();
                    }
                }
            }
            onActiveFocusChanged: {
                if (activeFocus) {
                    if(belongto!=""){
                        suggestedFriends.stationBottomBar.visible = false;
                    }else{
                        friendsStationListView.friendsBottomBar.visible = false;
                    }
                } else{
                    if(belongto!=""){
                        suggestedFriends.stationBottomBar.visible = true;
                    }else{
                        friendsStationListView.friendsBottomBar.visible = true;
                    }
                }
            }
        }
    }
    Rectangle{
        id:closeIconContainer
        width:48
        height: 48
        color: "transparent"
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.verticalCenter: parent.verticalCenter
        Image {
            id: icon
            anchors.centerIn: parent
            source: "../image/icon_b.png"
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                searchInput.text="";
                if(belongto==""){
                    if(friendsStationListView.selcetedItem==1){
                        friendsStationListView.friendsList.listViewModel = followersModel;
                    }
                    else{
                        friendsStationListView.friendsFollowingList.listViewModel = followingModel;
                    }
                }else if(belongto=="Twitter"){
                    suggestedFriends.friendsListView.model = twSuggestFriendModel;
                }
                else if(belongto=="Facebook"){
                    suggestedFriends.friendsListView.model = fbSuggestFriendModel;
                }
            }
        }
    }


    Timer {
        id: timer
        interval: 700
        repeat: false
        running: false
        onTriggered: {
            if(belongto==""){
                if(friendsStationListView.selcetedItem==1){
                    context.searchCurrentFriends(searchInput.text,belongto,1);
                }else{
                    context.searchCurrentFriends(searchInput.text,belongto,2);
                }
            }else{
                context.searchCurrentFriends(searchInput.text,belongto,0);
            }
        }
    }
}
