import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id: friendsPageBottomBar
    width: parent.width
    height: friendsPageBottomBarBg.sourceSize.height

    signal goBack
    signal closeSoftPanel
    signal buttonClick
    signal viewMenuItemClick(int index)

    property string strText: ""
    property string strViewFirstItem: ""
    property string strViewSecondItem: ""

    Image {
        id: friendsPageBottomBarBg
        source: "../image/bottom.png"
    }

    Item {
        id: goBack
        width: backBg.sourceSize.width
        height: parent.height
        anchors.left: parent.left
        anchors.leftMargin: 20
        Image {
            id: backBg
            anchors.centerIn: parent
            source: "../image/icon_bg.png"
            visible: {
                if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                    return true;
                } else {
                    return false;
                }
            }
        }
        Image {
            anchors.centerIn: parent
            source: "../image/back.png"
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                friendsPageBottomBar.goBack();
                friendsPageBottomBar.closeSoftPanel();
                if(pageStack.depth==mainPage.mainViewDepth+1){
                    mainPage.currentOnlineFriends=0;
                    context.getOnlinFollowersNums();
                    context.getOnlinFollowingNums();
                    context.getUnReadInboxInfoNums();
                }
            }
        }
    }
    Item {
        id: playerController
        width: playerControllerBg.sourceSize.width
        height: playerControllerBg.sourceSize.height
        anchors.centerIn: parent
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }

        Image {
            id: playerControllerBg
            anchors.centerIn: parent
            source: "../image/bottom_bg.png"
        }
        Item {
            id: playAndPauseArea
            anchors.left: parent.left
            width: parent.width / 2
            height: parent.height
            Image {
                id: playAndPause
                anchors.left: parent.left
                anchors.leftMargin: 25
                anchors.verticalCenter: playAndPauseArea.verticalCenter
                source: {
                    if (context.mediaPlayerState == "playing") {
                        return "../image/pause.png"
                    } else if (context.mediaPlayerState == "paused"){
                        return "../image/play.png"
                    } else {
                        return "";
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    friendsPageBottomBar.closeSoftPanel();
                    if (context.mediaPlayerState == "playing") {
                        context.mediaPlayerPause();
                    } else if (context.mediaPlayerState == "paused"){
                        context.mediaPlayerResume();
                    }
                }
            }
        }

        Item {
            id: goToNextUpArea
            anchors.right: parent.right
            width: parent.width / 2
            height: parent.height
            Image {
                id: goToNextUp
                anchors.right: parent.right
                anchors.rightMargin: 25
                anchors.verticalCenter: parent.verticalCenter
                source: "../image/next.png"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    friendsPageBottomBar.closeSoftPanel();
                    if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                        context.playNextUpSong();
                    } else {
                    }
                }
            }
        }
    }

    Item{
        id:addFriends
        width: addFriendsIcon.sourceSize.width
        height: parent.height
        anchors.horizontalCenter: parent.horizontalCenter
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return false;
            } else {
                return true;
            }
        }
        Image {
            id: addFriendsIcon
            anchors.centerIn: parent
            source: "../image/add friend.png"
        }
        Text {
            text: strText
            anchors.centerIn: parent
            font.pixelSize: 20
            color: "white"
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                friendsPageBottomBar.closeSoftPanel();
                buttonClick();
            }
        }
    }

    Item {
        id: menu
        width: menuIcon.sourceSize.width
        height: parent.height
        anchors.right: parent.right
        anchors.rightMargin: 20
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: menuIcon
            anchors.centerIn: parent
            source: "../image/menu.png"
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                friendsPageBottomBar.closeSoftPanel();
                viewMenu.state = "ShowUp";
            }
        }
    }

    ViewMenu {
        id:viewMenu
        strFirstItem: strViewFirstItem
        strSecondItem: strViewSecondItem
        onMenuItemClick:
        {
            viewMenuItemClick(index);
        }
    }
}
