import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id:firendsFollowNumber
    width: parent.width
    height: parent.height
    color: "black"
    opacity: 0.9
    state: "HideDown"

    property alias indicator1: indicator1
    property alias maskB: mask
    property bool replyInfoStatus: false

    Connections{
        target: context
        onGetIsMyfriendFinished:{
            if(type===0){
                followingStatusContainer.isMyFriend = isMyFriend;
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
            }else{
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
                replyInfo.visible=true;
                replyInfo.text=qsTr("Failed to read data, please try again");
                replyInfoStatus = true;
            }
        }
        onDeleteFriendFinished:{
            if(type===0){
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
                firendsFollowNumber.state="HideDown";
                followingStatusContainer.isMyFriend = false;
                context.getFollowing("");
            }else{
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
                replyInfo.visible=true;
                replyInfo.text=qsTr("Operation failed, please try again");
                replyInfoStatus = true;
            }
        }
        onAddFriendFinished: {
            if(type===0) {
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
                firendsFollowNumber.state="HideDown";
                followingStatusContainer.isMyFriend = true;
                context.getFollowing("");
            }else{
                mask.visible=false;
                indicator1.visible=false;
                indicator1.running=false;
                replyInfo.visible=true;
                replyInfo.text=qsTr("Operation failed, please try again");
                replyInfoStatus = true;
            }
        }
    }
    MouseArea{
        anchors.fill:parent
        onClicked: {
            firendsFollowNumber.state="HideDown";
        }
    }
    Timer{
        id: timer
        running: replyInfoStatus
        interval: 4000
        onTriggered: {
            replyInfo.text="";
            replyInfo.visible=false;
            replyInfoStatus=false;
        }
    }
    Text {
        id: replyInfo
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 60
        color: "white"
        font.pixelSize: 24
        width: parent.width
        wrapMode: Text.Wrap
        visible:false
    }
    Item{
        id:popUpContainer
        width: popUpBg.sourceSize.width
        height: popUpBg.sourceSize.height
        anchors.bottom: parent.bottom
        Image {
            id: popUpBg
            source: "../image/pop_up.png"
            anchors.bottom: parent.bottom
        }

        Image {
            id: popUpLine
            source: "../image/pop_up_mid.png"
            anchors.centerIn: popUpBg
        }
        Item{
            id:followingNumbersContainer
            width: popUpLine.sourceSize.width
            height: popUpLine.sourceSize.height/3
            anchors.top:popUpLine.top
            anchors.left: popUpLine.left
            Text {
                id: followingNumbers
                text: qsTr("Following")
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.leftMargin: 20
                font.pixelSize: 24
            }
            Text {
                id: followingNumbersCount
                text: "("+followingNum+")"
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: followingNumbers.right
                anchors.leftMargin: 10
                font.pixelSize: 24
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    firendsFollowNumber.state="HideDown";
                    pageStack.push(Qt.resolvedUrl("FriendsStationsViewer.qml"),{selcetedItem:2,userId:friendId,headerBarText:specifyFriendStations.friendName+qsTr("'s contacts")});
                }
            }
        }

        Item{
            id:followersNumbersContainer
            width: popUpLine.sourceSize.width
            height: popUpLine.sourceSize.height/3
            anchors.verticalCenter: popUpLine.verticalCenter
            anchors.left: popUpLine.left
            Text {
                id: followersNumbers
                text: qsTr("Followers")
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.leftMargin: 20
                font.pixelSize: 24
            }
            Text {
                id: followersNumbersCount
                text: "("+followersNum+")"
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: followersNumbers.right
                anchors.leftMargin: 10
                font.pixelSize: 24
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    firendsFollowNumber.state="HideDown";
                    pageStack.push(Qt.resolvedUrl("FriendsStationsViewer.qml"),{selcetedItem:1,userId:friendId,headerBarText:specifyFriendStations.friendName+qsTr("'s contacts")});
                }
            }
        }

        Item{
            id: followingStatusContainer
            width: popUpLine.sourceSize.width
            height: popUpLine.sourceSize.height/3
            anchors.bottom: popUpLine.bottom
            anchors.left: popUpLine.left

            property bool isMyFriend: false

            Text {
                id: stopFollowing
                text: followingStatusContainer.isMyFriend
                      ? qsTr("Stop Following")
                      : qsTr("Follow")
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.leftMargin: 20
                font.pixelSize: 24
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    mask.visible=true;
                    indicator1.visible=true;
                    indicator1.running=true;
                    if(followingStatusContainer.isMyFriend)
                        context.deleteFriend(friendId);
                    else
                        context.addFriend(friendId)
                }
            }
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        height: popUpContainer.height
        color: "transparent"
        anchors.bottom: parent.bottom
        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator1
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
        }
    }

    states: [
        State {
            name: "HideDown"
            AnchorChanges { target: firendsFollowNumber; anchors.top: specifyFriendStations.bottom}
        },
        State {
            name: "ShowUp"
            AnchorChanges { target: firendsFollowNumber; anchors.top: specifyFriendStations.top}
        }
    ]
    transitions: [
        Transition {
            AnchorAnimation {
                duration    : 500
                easing.type : Easing.OutQuart
            }
        }
    ]
}
