import QtQuick 1.0
import com.nokia.meego 1.0
import QtMobility.gallery 1.1

Item {
    id: galleryViewer
    width: parent.width
    height: parent.height

    function returnPictureUrl(url) {
        var imageUrl = "file:///home/user/.thumbnails/grid/" + Qt.md5(url) + ".jpeg";
        context.isValidPath(imageUrl, url);

        return imageUrl;
    }

    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    Image {
        id: topBarBg
        anchors.top: parent.top
        source: "../image/top_bar.png"

        Text {
            id: pageName
            anchors.left: parent.left
            anchors.leftMargin: 20
            anchors.verticalCenter: parent.verticalCenter
            text: qsTr("Gallery")
            color: "white"
            font.pixelSize: 20
            font.bold: true
        }
    }

    GridView {
        id: galleryGridView
        width: parent.width
        anchors.top: topBarBg.bottom
        anchors.topMargin: 10
        anchors.bottom: pageBottomBar.top
        anchors.bottomMargin: 10
        clip: true
        maximumFlickVelocity: 3000
        model: model
        cellHeight: 160
        cellWidth: 160

        delegate: Image {
            height: 160
            width: 160
            asynchronous: true
            smooth: true
            source: returnPictureUrl(url)

            MouseArea{
                anchors.fill:parent
                onClicked: {
                    photopreview.visible = true;
                    photopreview.source = url;
                    galleryGridView.visible = false;
                    topBarBg.visible = false;
                    pageBottomBar.visible = false;
                }
            }
        }
    }

    DocumentGalleryModel {
        id: model
        rootType: DocumentGallery.Image
        properties: ["url"]
        filter: GalleryFilterUnion{
            GalleryWildcardFilter {
                property: "fileName";
                value: "*.jpg";
            }
        }
    }

    PhotoClipping {
        id: photopreview
        width: parent.width
        height: parent.height
        visible: false

        onReturnToLastPage: {
            photopreview.visible = false;
            galleryGridView.visible = true;
            topBarBg.visible = true;
            pageBottomBar.visible = true;
        }
    }

    StationsBottomBar {
        id: pageBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
        }
    }
}
