import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id: inviteFriendMainPage
    width: parent.width
    height: parent.height

    property bool fbclicked: false
    property bool componentCreated: false
    property variant facebookQml
    property variant component
    property int friendsNumber: 0

    function facebookClicked(){
        if(fbclicked==false){
            fbclicked = true;
            if(componentCreated==false){
                componentCreated=true;
                component = Qt.createComponent("FaceBookLogin.qml");
                if(component.status == Component.Ready){
                    facebookQml = component.createObject(inviteFriendMainPage);
                    facebookQml.state="ShowUp"
                }
            }else{
                inviteFriendMainPage.facebookQml.state = "ShowUp";
            }
        }
    }
    
    // bg
    Image {
        id: bg
        source:  "../image/home_bg.png"
    }

    // suggestedFriendsModel
    ListModel {
        id: suggestedFriendsModel
        ListElement {
            //name: "Suggested friends"
        }
        ListElement {
            //name: "Address Book"
            QmlUrl:"AddressbookFriendsPage.qml"
        }
        ListElement {
            //name: "Facebook Friends"
        }
        ListElement {
            //name: "Twitter"
        }
        ListElement {
            //name: "Gmail Contacts"
        }
        function name(index)
        {
            switch(index)
            {
            case 0:
                return qsTr("Suggested Friends")+" ("+friendsNumber+")";
            case 1:
                return qsTr("Address Book");
            case 2:
                return qsTr("Facebook Friends");
            case 3:
                return qsTr("Twitter");
            case 4:
                return qsTr("Gmail Contacts");
            }
        }
    }

    // suggestedFriendsDelegate
    Component {
        id: suggestedFriendsDelegate
        Item
        {
            width:inviteFriendMainPage.width
            height: 70//120
            Text
            {
                anchors.left: parent.left
                anchors.leftMargin: 20
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: 20
                color:"white"
                text:suggestedFriendsView.model.name(index)
            }
            Image {
                id: arrow
                source: "../image/arrow_b.png"
                anchors.right: parent.right
                anchors.rightMargin: 20
                anchors.verticalCenter: parent.verticalCenter
            }
            Rectangle{
                id:itemBottonLine
                width: parent.width
                height: 1
                color: "gray"
                anchors.bottom: parent.bottom
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if(index===0)
                    {
                        pageStack.push(Qt.resolvedUrl("SuggestedFriendsView.qml"));
                    }
                    else if(index===1)
                    {
                        pageStack.push(Qt.resolvedUrl("AddressbookFriendsPage.qml"));
                    }
                    else if(index===2)
                    {
                        if(mainPage.faceBookToken!=="") {
                            pageStack.push(Qt.resolvedUrl("TwFbSuggestedFriendView.qml"),{faceBookToken:mainPage.faceBookToken,inviteType:"Facebook"});
                        }else{
                            mainPage.faceBookCreateFrom="invite";
                            facebookClicked();
                        }

                    }
                    else if(index===3)
                    {
                        if(mainPage.twitterIsLogin){
                            pageStack.push(Qt.resolvedUrl("TwFbSuggestedFriendView.qml"),{inviteType:"Twitter"});
                        }else{
                            mainPage.twitterLoginFrom="invite";
                            pageStack.push(Qt.resolvedUrl("TwitterLogin.qml"));
                        }
                    }
                    else
                    {
                        pageStack.push(Qt.resolvedUrl("InviteFriendsAccountInput.qml"),{topBarCaption:suggestedFriendsView.model.name(index)});
                    }
                }
            }
        }

    }

    ListView {
        id: suggestedFriendsView
        spacing: 15
        clip: true
        width: parent.width
        anchors.topMargin: spacing
        anchors.top: stationTopBar.bottom
        anchors.bottom: stationBottomBar.top
        model: suggestedFriendsModel
        delegate: suggestedFriendsDelegate
    }

    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Invite Friends")
    }

    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }

    Connections
    {
        target: context
        onCountSuggestedFriendsFinished:
        {
            if(type===0)
            {
                friendsNumber=number;
            }
            else
            {
                friendsNumber=0;
            }
        }
    }

    Component.onCompleted:
    {
        context.countSuggestedFriends();
    }
}
