import QtQuick 1.0
import com.nokia.meego 1.0
import "CommonComponent"

Rectangle {
    width: parent.width
    height: parent.height

    property string topBarCaption: ""
    
    // bg
    Image {
        id: bg
	anchors.fill: parent
        source:  "../image/home_bg.png"
    }

    CancelDoneTopBar {
        id: topBar
        cancelText: qsTr("Cancel")
        doneText: qsTr("Done")
        onDone: {
            accountInput.accountTextInput.closeSoftwareInputPanel();
            accountInput.passwordTextInput.closeSoftwareInputPanel();
            if(accountInput.getAccount()===""||accountInput.getPassword()==="")
            {
                errorInfo.visible = true;
                errorInfo.text = qsTr("your email or password is empty!");
            }
            else
            {
                errorInfo.text="";
                errorInfo.visible=false;
                pageStack.push(Qt.resolvedUrl("InviteFriendsListView.qml"),
                {email:accountInput.getAccount(),password:accountInput.getPassword(),
                 topBarCaption:topBarCaption});
            }
        }
        onCancel: {
            accountInput.accountTextInput.closeSoftwareInputPanel();
            accountInput.passwordTextInput.closeSoftwareInputPanel();
            pageStack.pop();
        }
    }

    // title
    Text {
        id: title
        text: qsTr("Invite friends")
        color: "white"
        font.pixelSize: 30
        font.bold: true
        wrapMode: Text.WrapAnywhere
        anchors.top: topBar.bottom
        anchors.topMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
        visible:true
    }

    CommonAccountInput {
        id: accountInput
        anchors.top: title.bottom
        anchors.bottom: parent.bottom
        //anchors.left: parent.left
        imgAccountInputBg:"../../image/search.png"
        imgPasswordInputBg:"../../image/search.png"
        thirdSpacing:10
        inputStartMargin:10
        inputEndMargin:10
        textLeftOffset:title.anchors.leftMargin
        //spacing: 5
        accountText.text: qsTr("Email")
        //just for test
    }

    // errorInfo
    Text{
        id:errorInfo
        //anchors.top:accountInput.bottom
        anchors.left: title.left
        //anchors.leftMargin: title.anchors.leftMargin
        anchors.right: parent.right
        //anchors.topMargin: 20
        y:accountInput.y+accountInput.getRealHeight()
        text:""
        visible:false
        color:"red"
        font.pixelSize:25
        font.bold: true
        wrapMode: Text.WrapAnywhere
        //imgPasswordInputBg.
    }
}
