import QtQuick 1.0

Item {
    id: localStorage

    function openDataBase()
    {
        return openDatabaseSync("SoundtrackerDB", "1.0", "The Data SQL!", 1000000);
    }

    function initialize(){
        var db = openDataBase();
        //delByType();
        db.transaction(function(tx){
            tx.executeSql("CREATE TABLE IF NOT EXISTS FLAG(BROADCASTMUSIC INTEGER, SHARELOCATION INTEGER)");
        });
    }

    function delByType(){
        var sqlParameterStatement = "DELETE FROM FLAG;";
//        var sqlValue = [type];
        var db = openDataBase();
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });
        return res;
    }

    function empty()
    {
        var sqlParameterStatement = "SELECT * FROM FLAG;";

        var db =openDataBase();

        var isEmpty=true;

        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rows.length > 0){
                isEmpty=false;
            }else{
                isEmpty=true;
            }
        });

        return isEmpty;
    }

    function insert(isBroadcastMusic,isShareLocation)
    {
        var sqlParameterStatement = "INSERT INTO FLAG VALUES (?,?);";
        var db = openDataBase();
        var res = "";
        var tempValue0;
        var tempValue1;
        if(isBroadcastMusic===true)
        {
            tempValue0=1;
        }
        else
        {
            tempValue0=0;
        }
        if(isShareLocation===true)
        {
            tempValue1=1;
        }
        else
        {
            tempValue1=0;
        }
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement,[tempValue0,tempValue1]);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });

        return res;
    }


    function updateBroadcastMusic(isBroadcastMusic)
    {
        var db =openDataBase();
        var tempValue;
        if(isBroadcastMusic===true)
        {
            tempValue=1;
        }
        else
        {
            tempValue=0;
        }
        var sqlParameterStatement = "UPDATE FLAG SET BROADCASTMUSIC='"+tempValue+"'";
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });

        return res;
    }

    function updateShareLocation(isShareLocation)
    {
        var db =openDataBase();
        var tempValue;
        if(isShareLocation===true)
        {
            tempValue=1;
        }
        else
        {
            tempValue=0;
        }
        var sqlParameterStatement = "UPDATE FLAG SET SHARELOCATION='"+tempValue+"'";
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });

        return res;
    }

    function get()
    {
        var sqlParameterStatement = "SELECT * FROM FLAG;";
        var db = openDataBase();
        var res = {
            isEmpty: false
        };

        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rows.length > 0){
                res.isBroadcastMusic = rs.rows.item(0).BROADCASTMUSIC;
                res.isShareLocation = rs.rows.item(0).SHARELOCATION;
            }else{
                res.isEmpty = true;//console.log(3);
            }
        });
        return res;
    }

    function modifyShareLocation(isBroadcastMusic,isShareLocation)
    {
        var res = "";
        if(empty())
        {
            res =insert(isBroadcastMusic,isShareLocation);
        }
        else
        {
            res =updateShareLocation(isShareLocation);
        }
        return res;
    }

    function modifyBroadcastMusic(isBroadcastMusic,isShareLocation)
    {
        var res = "";
        if(empty())
        {
            res =insert(isBroadcastMusic,isShareLocation);
        }
        else
        {
            res =updateBroadcastMusic(isBroadcastMusic);
        }
        return res;
    }
}
