import QtQuick 1.0

Item {
    id: localStorage

    function getDatabase(){
        return openDatabaseSync("Soundtracker","1.0","LocalStorageDatabase",100000);
    }
    function initialize(){
        var db = getDatabase();
        db.transaction(function(tx){
            tx.executeSql("CREATE TABLE IF NOT EXISTS USER(USERNAME TEXT,PASSWORD TEXT,TYPE INTEGER)");
        });
    }
    /**
    * description: Alaways save one record.So,before insert,there is del() action.
    * type: 1 twitter, 2 facebook
    */
    function save(userName,passWord,type){
        delByType(type);
        var sqlParameterStatement = "INSERT INTO USER VALUES (?,?,?);";
        var sqlValue = [userName,passWord,type];
        var db = getDatabase();
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement,sqlValue);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });
        return res;
    }
    function update(userName,passWord){
        var sqlParameterStatement = "UPDATE USER SET USERNAME='"+userName+"',PASSWORD='"+passWord+"' WHERE TYPE=3;";
        var db = getDatabase();
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });
        return res;
    }
    function delByType(){
        var sqlParameterStatement = "DELETE FROM USER;";
//        var sqlValue = [type];
        var db = getDatabase();
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rowsAffected > 0){
                res = "Success";
            }else{
                res = "Error";
            }
        });
        return res;
    }
    function getJustOneFieldByType(field,type){
        field = field.toUpperCase();
        var sqlParameterStatement = "SELECT " + field + " FROM USER WHERE TYPE = ?;";
        var sqlValue = [type];
        var db = getDatabase();
        var res = "";
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement,sqlValue);
            if(rs.rows.length > 0){
                res = rs.rows.item(0)[field];
            }else{
                res = "Unknow";
            }
        });
        return res;
    }
    function getBothUserNameAndPassWordByType(){
        var sqlParameterStatement = "SELECT USERNAME,PASSWORD,TYPE FROM USER;";
//        var sqlValue = [type];
        var db = getDatabase();
        var res = {
            isEmpty: false
        };
        db.transaction(function(tx){
            var rs = tx.executeSql(sqlParameterStatement);
            if(rs.rows.length > 0){
                res.userName = rs.rows.item(0).USERNAME;
                res.passWord = rs.rows.item(0).PASSWORD;
                res.type = rs.rows.item(0).TYPE;
            }else{
                res.isEmpty = true;
            }
        });
        return res;
    }
}

