import QtQuick 1.0

Item {
    id: mediaPlaybackProgressBar

    property bool isPlayerPage: false
    //Current playback time in millisec
    property int value: 0
    // Max value (duration) of the current playback in millisec.
    property int maximum: 0

    property int leftmum

    function in2digit(number) {
        return (number < 10 ? '0' : '') + number
    }
    function convertToMillisec(duration) {

        var arr = duration.split(":")
        return arr[0] * 60 * 1000 + arr[1] * 1000;

    }

    width: parent.width
    height: progressBar.height + timeArea.height

    Item {
        id: progressBar
        height: progressBarBg.height
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        Image {
            id: progressBarBg
            anchors.left: parent.left
            anchors.top: parent.top
            width: parent.width
            height: sourceSize.height
            source: {
                if (mediaPlaybackProgressBar.isPlayerPage) {
                    return "../image/play_line_black.png"
                } else {
                    return "../image/play_line.png"
                }
            }
        }
        Image {
            id:  progressing
            property int widthDest: progressBar.width * (mediaPlaybackProgressBar.value / mediaPlaybackProgressBar.maximum)
            anchors.left: parent.left
            anchors.top: parent.top
            anchors.topMargin: {
                if (mediaPlaybackProgressBar.isPlayerPage) {
                    return 0
                } else {
                    return 2
                }
            }

            width: widthDest
            height: sourceSize.height
            source: "../image/play_line_blue.png"
            Behavior on width {
                SmoothedAnimation { velocity: 1200 }
            }
        }
        Image {
            id: playPoint
            anchors.right: progressing.right
            anchors.rightMargin: 2
            anchors.verticalCenter: progressing.verticalCenter
            source: "../image/play_point.png"
        }
    }

    Item {
        id: timeArea
        anchors.top: progressBar.bottom
        anchors.left: progressBar.left
        anchors.right: progressBar.right
        height: playedTime.height
        Text {
            id: playedTime

            property int minutes: (value % (1000*60*60)) / (1000*60) - 0.5
            property int seconds: ((value % (1000*60*60)) % (1000*60)) / 1000;
            anchors.left: parent.left
            font.pixelSize: 18
            color: "gray"
            text: in2digit(minutes) + ":" + in2digit(seconds)
        }
        Text {
            id: leftTime

            property int minutes: (leftmum % (1000*60*60)) / (1000*60) - 0.5
            property int seconds: ((leftmum % (1000*60*60)) % (1000*60)) / 1000;
            anchors.right: parent.right
            font.pixelSize: 18
            color: "gray"
            text: "-" + in2digit(minutes) + ":" + in2digit(seconds)
        }
    }
}
