import QtQuick 1.0

Component{
    id:nearbyDelegate
    Rectangle{
        width: nearbystation.width
        height: 60
        color: "transparent"

        Image {
            id: defaultImg
            width: parent.height-2
            height: width-2
            anchors.verticalCenter: parent.verticalCenter
            source: "../image/soundtrckr_defaults_green.jpg"
        }
        Image {
            id: stationImage
            width: parent.height-2
            height: width-2
            anchors.verticalCenter: parent.verticalCenter
            source: image
            visible: false
            onStatusChanged: {
                if(stationImage.status == Image.Ready){
                    stationImage.visible=true;
                }
            }
        }
        Text {
            id: stationsName
            text: stationName
            font.bold: true
            anchors.left: defaultImg.right
            anchors.right: parent.right
            color: "white"
        }
        Text {
            id: lastPlay
            anchors.left: stationsName.left
            anchors.top: stationsName.bottom
            color: "white"
            text: {
                var lpt = lastPlayedTs.split("-");
                var flag = lpt[1];
                var nums = lpt[0];
                if (flag == "s") {
                    return qsTr("Last played:") + " " + nums + " " + qsTr("seconds ago");
                } else if (flag == "m") {
                    return qsTr("Last played:") + " " + nums + " " + qsTr("minutes ago");
                } else if (flag == "h") {
                    return qsTr("Last played:") + " " + nums + " " + qsTr("hours ago");
                } else if (flag == "d") {
                    return qsTr("Last played:") + " " + nums + " " + qsTr("days ago");
                } else if (flag == "y") {
                    return qsTr("Last played:") + " " + nums + " " + qsTr("years ago");
                }
            }
        }
	
        Text {
            id: stationsDescribe
            anchors.left: stationsName.left
            anchors.top: lastPlay.bottom
            color: "white"
            text: {
                var lpt = createdTs.split("-");
                var flag = lpt[1];
                var nums = lpt[0];
                if (flag == "s") {
                    return qsTr("Created:") + " " + nums + " " + qsTr("seconds ago");
                } else if (flag == "m") {
                    return qsTr("Created:") + " " + nums + " " + qsTr("minutes ago");
                } else if (flag == "h") {
                    return qsTr("Created:") + " " + nums + " " + qsTr("hours ago");
                } else if (flag == "d") {
                    return qsTr("Created:") + " " + nums + " " + qsTr("days ago");
                } else if (flag == "y") {
                    return qsTr("Created:") + " " + nums + " " + qsTr("years ago");
                }
            }
        }
    }
}
