import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id:nearbystation
    width: parent.width
    height: parent.height

    property bool mapCreated: false
    property variant mapQml
    property variant component

    function createMapComponnet(){
        component = Qt.createComponent("Location.qml");
        if(component.status == Component.Ready){
            mapQml = component.createObject(nearbystation);
        }
    }
    Connections {
        target: context
        onGetNearbyStationFinished: {
            indicator.running = false;
            indicator.visible = false;
            if (type === 0) {
                stationList.listViewModel = nearbyStationsModel;
            }
        }
    }

    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    StationsTopBar{
        id:stationTopBar
        anchors.top:parent.top
        stationIconSource: "../image/nearby_station_b.png"
        stationNameText: qsTr("Nearby Stations")
    }
    Image {
        id: locationBb
        anchors.top: stationTopBar.bottom
        source: "../image/nearby_station_bg.png"
    }
//    Location{
//        id:location
//        width: locationBb.sourceSize.width
//        height: locationBb.sourceSize.height
//        anchors.centerIn: locationBb
//        anchors.margins: 5
//        anchors.top: stationTopBar.bottom
//    }
    StationList {
        id: stationList
        anchors.top: locationBb.bottom
        anchors.bottom: playbackProgressBarArea.visible?playbackProgressBarArea.top:stationBottomBar.top
        anchors.topMargin: 10
        anchors.bottomMargin: 10
    }
    BusyIndicator {
        id: indicator
        anchors.centerIn: stationList
        platformStyle: BusyIndicatorStyle { size: "large" }
        running: true
    }

    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
            mapQml.destroy();
        }
    }
    Timer{
        interval: 1000
        running: mapCreated
        onTriggered:{
            createMapComponnet();
            mapCreated=false;
        }
    }
    Component.onCompleted: {
        mapCreated=true;
    }
}
