import QtQuick 1.0

Item {
    id:otherSitesViewer
    width: parent.width
    height: parent.height
    state: "HideDown"
    z: 1

    property alias listViewModel: otherSitesList.model
    property int sitesCount: 0

    Rectangle{
        color: "black"
        opacity: 0.7
        width: parent.width
        height: parent.height
        MouseArea{
            anchors.fill: parent
            onClicked: otherSitesViewer.state="HideDown"
        }
    }

    Image {
        id: popUpBg
        source: "../image/pop_up.png"
        anchors.bottom: parent.bottom
        height: (title.height + 70 + sitesCount * 65) > 500 ? 500 : (title.height + 70 + sitesCount * 65)
    }

    Text {
        id: title
        height: 40
        text: qsTr("Other Sites")
        anchors.top: popUpBg.top
        anchors.topMargin: 15
        anchors.horizontalCenter: popUpBg.horizontalCenter
        font.bold: true
        font.pixelSize: 24
        color: "white"
    }

    Rectangle {
        id:popUpContainer
        width: parent.width-30
        anchors.top: title.bottom
        anchors.topMargin: 20
        anchors.bottom: popUpBg.bottom
        anchors.bottomMargin: 15
        anchors.horizontalCenter: popUpBg.horizontalCenter
        radius: 8
        border.color: "lightGreen"
        border.width: 3
        color: "black"

        ListView {
            id: otherSitesList
            width: parent.width
            anchors.top: parent.top
            anchors.topMargin: 10
            anchors.bottom: parent.bottom
//            anchors.bottomMargin: 10
            clip: true
            spacing: 15

            delegate: Image {
                id: siteBt
                source: "../image/others.png"
                anchors.left: parent.left
                anchors.leftMargin: 20
                anchors.right: parent.right
                anchors.rightMargin: 20

                Text {
                    text: modelData
                    font.bold: true
                    font.pixelSize: 24
                    color: "white"
                    anchors.left: parent.left
                    anchors.leftMargin: 5
                    anchors.right: parent.right
                    anchors.rightMargin: 2
                    anchors.verticalCenter: parent.verticalCenter
                    clip: true
                    elide: Text.ElideRight
                }

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        context.openBrowerPage(modelData);
                    }
                }
            }
        }
    }

    states: [
        State {
            name: "HideDown"
            AnchorChanges { target: otherSitesViewer; anchors.top: artistInfoViewer.bottom}
        },
        State {
            name: "ShowUp"
            AnchorChanges { target: otherSitesViewer; anchors.bottom: artistInfoViewer.bottom}
        }
    ]
    transitions: [
        Transition {
            AnchorAnimation {
                duration    : 500
                easing.type : Easing.OutQuart
            }
        }
    ]
}

