import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id:picCrop
    width: parent.width
    height: parent.height

    signal returnToLastPage
    property alias source : preview.source

    Image {
        id: preview
        anchors.fill : parent
        fillMode: Image.PreserveAspectFit
        asynchronous: true
        smooth: true
    }

    Rectangle{
        id: ctrlLabel
        width: parent.width
        height: 100
        anchors.bottom: parent.bottom
        color: "black"

        Image {
            id: cancelBtn
            height: 50
            source: "../image/cancel_a.png"
            anchors.left: parent.left
            anchors.leftMargin: 20
            anchors.verticalCenter: parent.verticalCenter


            Text {
                text: qsTr("Cancel")
                font.bold: true
                font.pixelSize: 24
                color: "white"
                anchors.centerIn: cancelBtn
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    picCrop.returnToLastPage();
                }
            }
        }

//        Text {
//            id: labelText
//            anchors.centerIn: parent
//            text: qsTr("Move&Zoom")
//            color: "white"
//            font.pixelSize: 20
//        }

        Image {
            id: selectBtn
            height: 50
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 20
            source: "../image/cancel_a.png"

            Text {
                text: qsTr("Select")
                font.bold: true
                font.pixelSize: 24
                color: "white"
                anchors.centerIn: selectBtn
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    //save the selected image
                    context.photoClipping(preview.source);
                    pageStack.pop();
                }
            }
        }
    }
}
