import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id: privacyPolicyPage
    width: parent.width
    height: parent.height

    property int textSpacing: 5

    // bg
    Image {
        id: bg
        anchors.fill: parent
        source:  "../image/home_bg.png"
    }

    // stationTopBar
    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Privacy Policy")
    }

    ListModel {
        id: privacyPolicyModel

        ListElement {
            content: "<h4>INTRODUCTION</h4>"
        }
        ListElement {
            content: "Soundtracker is a geo social music application for smartphones and web (both mobile and web services are referred to here as the \"Service\") and also includes the Software available for download (the \"Software\").  Users can tune into the music their friends are listening to, find out where they're listening, and geo-tag songs to real world locations for other people to discover.  They can also create and broadcast internet radio stations to anybody in the vicinity and to other users in Soundtracker and via other social networks, download songs and share content with friends both on and off the Service through social networks."
        }
        ListElement {
            content: "Soundtracker is committed to protecting your privacy when you use the Service.  We only collect information from you as needed to run the Service and deliver to you a personalized experience.  This Privacy Policy informs you of the types of information we collect about you, how that information is used, and whether and to whom we disclose it.  By downloading the Software and using the mobile and web services, you are consenting to and agreeing to be bound by this Privacy Policy.  If you do not accept the terms set out in our Privacy Policy, please do not use Soundtracker. We may update or modify this Privacy Policy from time to time, and recommend that you check the Soundtracker website regularly for any changes."
        }

        ListElement {
            content: "<h4>COLLECTION OF INFORMATION</h4>"
        }
        ListElement {
            content: "While using the Service, you may post or upload certain content or comments through the mobile or web services, which may include text or images, in audio or video formats.  In doing so, you may disclose certain information about yourself.  We may automatically collect certain aggregated anonymous data regarding the use of Soundtracker, like the number of users and frequency and manner of usage of Soundtracker, or the extent to which certain features are used. In addition, certain non-personally identifiable information is collected by Soundtracker, Google Analytics and/or our third-party providers during your use of the Service and in serving music recommendations and advertisements, including, for example, the number of times you have viewed an advertisement (but not your name, address, or other personal information)."
        }
        ListElement {
            content: "We may also use cookies to track and understand the traffic on our website and through the mobile application. Cookies are alphanumeric identifiers that our Service places onto your computer's hard drive. Cookies identify your computer hard drive or your mobile device so that we can recognize you the next time you visit us and we can deliver to you a more personalized experience. We use cookies to collect and store some information about you, such as the name of the domain and host from which you access the Internet, your mobile phone identification, the Internet Protocol (IP) address of the computer you are using, the date and time you access our web services and the Internet address or location from which you linked directly to the Services.  Third party advertisements displayed on or in connection may also contain cookies set by such advertisers. We do not control these advertiser cookies and users of the Service should check the privacy policy of such advertisers to understand whether and how they use cookies."
        }
        ListElement {
            content: "As part of the service, we use third party services, like Google Maps, Microsoft Bing, Nokia maps and the native hardware of the device such us wifi, gps and cellular network to determine your location so as to customize the experience of the Service for your and for for users.  You have the option to turn off geo-location from the settings menu of the mobile and web apps if you do not want your location to be determined. You also have the option to turn off the broadcast station location from the settings menu of the mobile and the web apps if you do not want your music to be made available to other users in your vicinity and to other users in via social networks.  However you will not then be able to use the features of the Service that are built around location services."
        }
        ListElement {
            content: "In the registration process, we may collect your name, email address, phone number, birthday, Twitter and/or Facebook usernames, and use information regarding your use of our Service, and browser information. You may choose to post profile information about your interests, friends, groups or affiliations, photos, personal statements, or other information about yourself.  Some of the registration information may be personally identifiable information, which may include your name, physical and e-mail addresses, home or mobile phone numbers, software and hardware attributes, type of computer or, with purchases or subscriptions, credit card or other payment information.  Please be aware that if you disclose personally identifiable information in your profile or when you post comments, the information may become publicly available."
        }

        ListElement {
            content: "<h4>USE OF INFORMATION</h4>"
        }
        ListElement {
            content: "Aggregated information that we and our advertising partners collect, as well as other non-personal information, is used to better understand our users and customize our Service for users' particular preferences. This information is not used in a way that will personally identify you."
        }
        ListElement {
            content: "We may use your personally identifiable information to fulfill your requests for services, to communicate with you about your account, to support your activities on the Service, and to respond to your questions. We may also use your personally identifiable information and/or your profile information to personalize your listening experience on the Service.  Soundtracker identifies you on the Service by your first name and your last initial.  You may edit your personal information that you entered when you created your account or make changes to your profile information, within the mobile application or on the Soundtracker website."
        }
        ListElement {
            content: "We use the location of music radio stations, music tracks and users to enable to geo and social feature of music discovery and music enjoyment within the Soundtracker social network and in connection with other social networks. You have the option to turn off geo-location as well as the broadcast station location from the settings menu of the mobile and web apps if you do not want your location to be determined and if you do not want your music to be made available to other users in your vicinity and to other users in via social networks."
        }

        ListElement {
            content: "<h4>DISCLOSURE OF INFORMATION</h4>"
        }
        ListElement {
            content: "We may share aggregated statistical information and profile information about users of the Service with third parties, including our licensors, partners, advertisers and third parties that offer products or services in connection with the Service. This information is not linked to any personally identifiable information.  Soundtracker will not share your personally identifiable information with any third-parties, except if required in response to legal process such as a court order or subpoena, to prevent or combat fraud, as required by federal or state law, to enforce our Terms of Use; and for the protection of the rights, property or safety of the Service, our users or others.  In addition, if required, we may disclose your information in connection with a merger, acquisition, or liquidation of our company."
        }

        ListElement {
            content: "<h4>SECURITY</h4>"
        }
        ListElement {
            content: "Soundtracker is committed to taking appropriate measures to protect your privacy against unauthorized disclosures.  Soundtracker uses a variety of secure techniques designed to protect your information.  While we have implemented safeguards, you should be aware that Internet security technology rapidly changes. As such, we cannot guarantee that the safeguards we employ today can protect your personal information from the threats of tomorrow, or that our security measures are failsafe and not subject to circumvention or unauthorized intrusion. You should also be aware that, despite our best efforts, factors beyond our control could result in disclosure of data.  If you access any third-party applications, follow links from the Service to another service or website, or view the Service embedded on another service or website, the information you disclose may no longer be covered by this Privacy Policy.  You are encouraged to check whether other privacy policies will govern before you release any personal information to a third party or service."
        }

        ListElement {
            content: "<h4>YOUNG CHILDREN</h4>"
        }
        ListElement {
            content: "We do not knowingly collect any personally identifiable information from children under the age of 13.  To best protect your child's privacy, we suggest that you carefully supervise your child's access if they join our Service."
        }

        ListElement {
            content: "<h4>INTERNATIONAL</h4>"
        }
        ListElement {
            content: "You should be aware that the United States and other countries have not harmonized their privacy regulations. Because the Service is intended specifically for users in the United States, we have written our Privacy Policy to satisfy United States regulations and make no representations regarding the laws and regulations of other jurisdictions."
        }

        ListElement {
            content: "<h4>CHANGES TO PRIVACY POLICY</h4>"
        }
        ListElement {
            content: "Soundtracker may amend this Privacy Policy from time to time. Use of information we collect now is subject to the Privacy Policy in effect at the time such information is used. If we make material changes in the way we use Personal Information, we will notify you by posting an announcement on our Service or sending you an email. Users are bound by any changes to the Privacy Policy when they use the Service after such changes have been first posted."
        }

        ListElement {
            content: "This Privacy Policy was last updated on February, 14 2012."
        }
    }

    Component {
        id: privacyPolicyDelegate

        Text {
            width: contentView.width
            height: paintedHeight
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            font.pixelSize: 24
            verticalAlignment: Text.AlignVCenter
            color: "white"
            text: content
        }
    }

    ListView {
        id: contentView
        width: parent.width - 8
        anchors.top: stationTopBar.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 4
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.bottom: stationBottomBar.top
        model: privacyPolicyModel
        delegate: privacyPolicyDelegate
        clip: true
        spacing: 14
    }

    ScrollDecorator {
        id: scrolldecorator
        flickableItem: contentView
    }

    // stationBottomBar
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
}
