import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id:settingPage
    width: parent.width
    height: parent.height

    property bool fbclicked: false
    property variant facebookQml
    property variant component
    property bool fbLogout: false
    property bool settinglogout: false
    property bool emailEnabled:true
    property string  emailbody: ""

    function facebooklogout(){
        if(fbclicked===false){
            fbclicked = true;
            component = Qt.createComponent("FacebookLogout.qml");
            if(component.status == Component.Ready){
                facebookQml = component.createObject(settingPage);
                facebookQml.isSetting=true;
            }
        }
    }
    onFbLogoutChanged: {
        if(fbLogout&&mainPage.twitterIsLogin){
            settingPage.settinglogout=true;
            context.twitterLogout();
        }else if(fbLogout&&mainPage.twitterIsLogin===false){
            context.logout();
        }
    }
    Image {
        id: bg
        source:  "../image/home_bg.png"
    }
    ListModel {
        id: settingsModel
        ListElement {
            QmlUrl:"SettingsEditProfile.qml"
        }
        ListElement {
            QmlUrl:"FacebookConnect.qml"
        }
        ListElement {
            QmlUrl:"TwitterConnect.qml"
        }
        ListElement {
            QmlUrl:"SharingPreferences.qml"
        }
        ListElement {
            QmlUrl:"7.qml"
        }
        ListElement {
            QmlUrl:"SettingsSendFeedback.qml"
        }
        ListElement {
            QmlUrl:"SettingsAboutST.qml"
        }
        ListElement {
            QmlUrl:"StartUp.qml"
        }
        function name(index)
        {
            switch(index)
            {
            case 0:
                return qsTr("Edit Profile");
            case 1:
                return qsTr("Facebook Connect");
            case 2:
                return qsTr("Twitter Settings");
            case 3:
                return qsTr("Sharing Preferences");
            case 4:
                return qsTr("Rate Us in Nokia Store");
            case 5:
                return qsTr("Send Us Feedback");
            case 6:
                return qsTr("About Soundtracker");
            case 7:
                return qsTr("Sign Out");
            }
        }
        function description(index)
        {
            switch(index)
            {
            case 0:
                return qsTr("Soundtracker profile settings");
            case 1:
                return qsTr("Manage Facebook Login");
            case 2:
                return qsTr("Manage Twitter Login");
            case 3:
                return qsTr("Station broadcasting,geo-location");
            case 4:
                return qsTr("Rate or Review Soundtracker");
            case 5:
                return qsTr("Improvement Ideas and Feedback");
            case 6:
                return qsTr("Information about Soundtracker");
            case 7:
                return qsTr("Sign Out from Soundtracker");
            }
        }
    }

    Component {
        id: settingsDelegate
        Item
        {
            width: settingsView.width
            height: 50
            Text
            {
                id:caption
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.right: parent.right
                anchors.top: parent.top
                font.pixelSize:20
                color:"white"
                text:settingsView.model.name(index)
                //font.bold:true
            }
            Text
            {
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.right: parent.right
                anchors.top: caption.bottom
                font.pixelSize: 17
                color:"#cacaca"
                text:settingsView.model.description(index)
                font.family: "system"
            }
            Image {
                id: arrow
                source: "../image/arrow_b.png"
                anchors.right: parent.right
                anchors.rightMargin: 20
                anchors.verticalCenter: parent.verticalCenter
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if(index===7)
                    {
                        mask.visible = true;
                        indicator.running = true;
                        indicator.visible = true;
                        if(mainPage.faceBookToken!==""){
                            facebooklogout();
                        }else if(mainPage.faceBookToken===""&&mainPage.twitterIsLogin){
                            settingPage.settinglogout=true;
                            context.twitterLogout();
                        }else if(mainPage.faceBookToken===""&&mainPage.twitterIsLogin===false){
                            context.logout();
                        }
                    }
                    else if(index===4)
                    {
                        ///usr/bin/single-instance /opt/SoundTracker/bin/SoundTracker
                        //Qt.openUrlExternally("http://store.nokia.com/");
                        context.openAppExternally("/usr/bin/single-instance /usr/bin/ovistoreclient");
                    }
                    else if(index===5)
                    {
                        if(emailEnabled)
                        {
                            emailbody = qsTr("Your Message here")+"\n"
                                    + "\n"
                                    + "------------\n"
                                    + "\n"
                                    + "\n"+qsTr("Model: ") + systemInfo.getDeviceType()
                                    + "\n"+qsTr("OS: ") + systemInfo.getOSVersion()
                                    //+ "\n"+qsTr("Firmware Version: ") + systemInfo.getFirmwareVersion()
                                    + "\n"+qsTr("App Version: ") + systemInfo.getAppVersion();

                            Qt.openUrlExternally("mailto:feedback@soundtracker.fm?subject=Feedback about Soundtracker"+"&body="+emailbody);
                            emailEnabled=false;
                            emailOpenTimer.restart();
                        }
                    }
                    else
                    {
                        pageStack.push(Qt.resolvedUrl(QmlUrl));
                    }
                }
            }
        }

    }

    ListView {
        id: settingsView
        spacing: 20
        clip: true
        width: parent.width
        anchors.topMargin: 10
        anchors.top: stationTopBar.bottom
        anchors.bottom: stationBottomBar.top
        model: settingsModel
        delegate: settingsDelegate
    }

    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Settings")
    }

    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
    Connections {
        target: context
        onTwitterLogoutFinished:{
            if(settingPage.settinglogout){
                if(type===0){
                    mainPage.twitterIsLogin=false;
                    mainPage.isFollowingST = false;
                    context.logout();
                }else{
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                }
            }
        }
        onLogoutFinished:
        {
            context.stopMediaPlayer();
            context.stationClear();
            pageStack.clear();
            pageStack.push([
                               {page:Qt.resolvedUrl("StartUp.qml")},
                               {page:Qt.resolvedUrl("Settings.qml")}]);
            pageStack.pop();
            mainPage.mainViewDepth=0;
            mainPage.currentOnlineFriends=0;
            mainPage.localstorage.delByType();
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }

    Timer {
        id: emailOpenTimer
        interval: 3000
        repeat: false
        running: false
        onTriggered: {
            emailEnabled=true;
        }
    }
}
