import QtQuick 1.0

Rectangle {
    width: parent.width
    height: parent.height

    Image {
        id: bg
        source:  "../image/home_bg.png"
    }

    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("About SoundTracker")
    }

    Text {
        id: title
        anchors.top: stationTopBar.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width:parent.width - 20
        font.pixelSize: 25
        wrapMode: Text.WordWrap
        color: "white"
        text: qsTr("Soundtracker geosocial radio")
    }

    Text {
        id: contextOne
        anchors.top: title.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Listen to over 22 million songs for free - any artist, any genre, anytime") + "</li></ul>"
    }

    Text {
        id: contextTwo
        anchors.top: contextOne.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Share your favorite stations on Facebook, Twitter and email") + "</li></ul>"
    }

    Text {
        id: contextThree
        anchors.top: contextTwo.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Play music with friends in real time") + "</li></ul>"
    }

    Text {
        id: contextFour
        anchors.top: contextThree.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Search your city for popular music and people with similar taste") + "</li></ul>"
    }

    Text {
        id: contextFive
        anchors.top: contextFour.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Comment on stations and chats with users about the music you like") + "</li></ul>"
    }

    Text {
        id: contextSix
        anchors.top: contextFive.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("Check-in with music and friends on Facebook and Foursquare") + "</li></ul>"
    }

    Text {
        id: contextSeven
        anchors.top: contextSix.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        width: parent.width - 20
        font.pixelSize: 20
        color: "white"
        wrapMode: Text.WordWrap
        textFormat: Text.RichText
        text: "<ul><li>" + qsTr("The version is") + " 2.1" + "</li></ul>"
    }

    Text {
        id: horizontalSeperator
        anchors.left: privacyPolicy.right
        anchors.leftMargin: 10
        anchors.verticalCenter: privacyPolicy.verticalCenter
        font.pixelSize: 30
        color: "white"
        text: "|"
    }

    Text {
        id: privacyPolicy
        anchors.top: contextSeven.bottom
        anchors.topMargin: 30
        anchors.left: parent.left
        anchors.leftMargin: 20
        font.pixelSize: 23
        textFormat: Text.RichText
        text: "<a href=\"http://www.soundtracker.fm/app/tos\" style=\"color:white\">" + qsTr("Terms of Service") + "</a>"
        onLinkActivated: {
            pageStack.push(Qt.resolvedUrl("Tos.qml"))
        }
    }

    Text {
        id: termsService
        anchors.left: horizontalSeperator.right
        anchors.leftMargin: 10
        anchors.verticalCenter: horizontalSeperator.verticalCenter
        font.pixelSize: 23
        textFormat: Text.RichText
        text: "<a href=\"http://www.soundtracker.fm/app/privacy\" style=\"color:white\">" + qsTr("Privacy Policy") + "</a>"
        onLinkActivated: {
            pageStack.push(Qt.resolvedUrl("PrivacyPolicy.qml"))
        }
    }

    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }

    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
}
