import QtQuick 1.0

Rectangle {
    id:sendFeedback
    width: parent.width
    height: parent.height
    
    Image {
        id: bg
        anchors.fill: parent
        source:  "../image/home_bg.png"
    }

    Image {
        id: topBarBg
        source: "../image/top_bar.png"
    }

    Text {
        id: title
        text: qsTr("Send Feedback")
        color: "white"
        font.bold: true
        font.pixelSize: 30
        anchors.top: topBarBg.bottom
        anchors.topMargin: 30
        anchors.left: parent.left
        anchors.leftMargin: 20
    }

    Rectangle{
        id:cancelBtn
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.verticalCenter: topBarBg.verticalCenter
        width: cancelBtnBg.sourceSize.width
        height: cancelBtnBg.sourceSize.height
        color: "transparent"
        Image {
            id: cancelBtnBg
            source: "../image/cancel_a.png"
        }
        Text {
            text: qsTr("Cancel")
            font.bold: true
            font.pixelSize: 24
            anchors.centerIn: cancelBtnBg
            color: "white"
        }
        MouseArea{
            anchors.fill:parent
            onClicked: {
                nameInput.closeSoftwareInputPanel();
                emailInput.closeSoftwareInputPanel();
                pageStack.pop();
            }
        }
    }

    Rectangle{
        id:doneBtn
        anchors.right:parent.right
        anchors.rightMargin: 30
        anchors.verticalCenter: topBarBg.verticalCenter
        width: doneBtnBg.sourceSize.width
        height: doneBtnBg.sourceSize.height
        color: "transparent"
        Image {
            id: doneBtnBg
            source: "../image/cancel_a.png"
        }
        Text {
            text: qsTr("Send")
            font.bold: true
            font.pixelSize: 24
            color: "white"
            anchors.centerIn: doneBtnBg
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                nameInput.closeSoftwareInputPanel();
                emailInput.closeSoftwareInputPanel();
                if(mailContext.text===""||defaultText.visible===true)
                {}
                else
                {
                    context.sendMessage("ui12345@yahoo.cn",mailContext.text);
                    pageStack.pop();
                }
            }
        }
    }

    Text {
        id: userName
        text: qsTr("Name:")
        color: "green"
        font.bold: true
        font.pixelSize: 24
        anchors.top: title.bottom
        anchors.topMargin: 30
        anchors.left: parent.left
        anchors.leftMargin: 20
    }
    TextInput{
        id:nameInput
        anchors.top: userName.top
        anchors.left: userName.right
        anchors.leftMargin: 10
        anchors.right: parent.right
        anchors.rightMargin: 10
        font.pixelSize: 24
        color:"white"
        readOnly:true
        text:qsTr("who's name?")
    }
    Text {
        id: email
        text: qsTr("Email") + ":"
        color: "green"
        font.bold: true
        font.pixelSize: 24
        anchors.top: userName.bottom
        anchors.topMargin: 30
        anchors.left: parent.left
        anchors.leftMargin: 20
    }
    TextInput{
        id:emailInput
        anchors.top: email.top
        anchors.left: email.right
        anchors.leftMargin: 10
        anchors.right: parent.right
        anchors.rightMargin: 10
        font.pixelSize: 24
        color:"white"
        readOnly:true
        text:qsTr("who's email?")
    }
    Image {
        id: blackLine
        source: "../image/play_line_black.png"
        anchors.top: emailInput.bottom
        anchors.topMargin: 10
        anchors.horizontalCenter: parent.horizontalCenter
        height:blackLine.sourceSize.height/2
    }
    Image {
        id: flexArrow
        source: "../image/arrow_c.png"
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.verticalCenter: blackLine.verticalCenter
        MouseArea {
            anchors.fill: parent
            onClicked: {}
        }
    }

    Flickable {
        id:contextFlick
        anchors.top: flexArrow.bottom
        anchors.topMargin: 5
        anchors.bottom: sendFeedback.bottom
        anchors.left: email.left
        anchors.right: flexArrow.right
        contentWidth:mailContext.width
        contentHeight: mailContext.height
        flickableDirection:Flickable.VerticalFlick
        clip: true

        function ensureVisible(r)
        {
            if (contentY >= r.y)
            {
                contentY = r.y;
            }

            else if (contentY+height <= r.y+r.height)
            {
                contentY = r.y+r.height-height;
            }

        }

        TextEdit {
            id:mailContext
            color:"white"
            //font.family: "MS Shell Dlg 2"
            font.pixelSize: 24
            wrapMode:TextEdit.WrapAnywhere
            width:sendFeedback.width-flexArrow.anchors.rightMargin-email.anchors.leftMargin
            cursorVisible:true
            onCursorRectangleChanged: contextFlick.ensureVisible(cursorRectangle)
            horizontalAlignment: TextEdit.AlignJustify

            onTextChanged: {
                if(text==="")
                {
                    defaultText.visible=true;
                    focus=false;
                }
                else
                {
                    defaultText.visible=false;
                }
            }
            onFocusChanged: {
                if(focus)
                {
                    defaultText.visible=false;
                }
                else
                {
                    visible=false;
                }
            }
        }
    }

    Text{
        id:defaultText
        text:qsTr("Write Feedback")
        color:"gray"
        font.pixelSize: 25
        anchors.top: flexArrow.bottom
        anchors.topMargin: 5
        anchors.bottom: sendFeedback.bottom
        anchors.left: email.left
        anchors.right: flexArrow.right
        MouseArea{
            anchors.fill: parent
            onClicked: {
                mailContext.focus=true;
                mailContext.visible=true;
            }
        }
    }
    //    Text{
    //        id:error
    //        text:""
    //        color:"red"
    //        font.pixelSize: 15
    //        visible:false
    //    }

    //    TextEdit {
    //        id:mailContext
    //        anchors.top: flexArrow.bottom
    //        anchors.topMargin: 5
    //        anchors.left: email.left
    //        anchors.right: flexArrow.right
    //        anchors.rightMargin: flexArrow.anchors.rightMargin
    //        color:"white"
    //        font.pixelSize: 24
    //        wrapMode:TextEdit.WrapAnywhere
    //        cursorVisible:false
    //    }
}
