import QtQuick 1.0
import com.nokia.meego 1.0
import "CommonComponent" as CommonComponent

Rectangle {
    id:shareEditPage
    width: parent.width
    height: parent.height

    property string faceBookToken
    property string shareType
    property string friendIdString
    property string caption: "sndtrc.kr"
    property string shortUrl
    property string description: qsTr("I'm now listening free stations,")+" "+context.currentPlayingStationName+" "+qsTr("and more")
    property string fbShareText: qsTr("Hey!")+" "+profileFullName+" "+qsTr("is now playing")+" \'"+context.currentSongName+"\' "+qsTr("on")+" "+context.currentPlayingStationName+" "+qsTr("station on SoundTracker!")
    property string twShareText: "#NowPlaying "
                                 + context.currentSongName
                                 + " "
                                 + qsTr("on")
                                 + " "
                                 + context.currentPlayingStationName
                                 + " "
                                 + qsTr("on")
                                 + " @Soundtracker:"
    Connections{
        target: context
        onFacebookShareFinished:{
            if(type === 0){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                pageStack.pop();
            }else{
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteFailedDialog.open();
            }
        }
        onGetBitlyShartenFinished:{
            shareEditPage.shortUrl = shortenUrl;
            if(type===0&&shareEditPage.shareType=="Twitter"){
                context.twitterShare(shareContent.text,shareEditPage.shortUrl);
            }else if(type == 1){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteFailedDialog.open();
            }else if(type===0&&shareEditPage.shareType=="Facebook"){
                context.facebookShare(shareContent.text,mainPage.faceBookToken,context.currentSongArtWorkUrl,shareEditPage.shortUrl,caption,description);
            }
        }
        onTwitterShareFinished:{
            if(type === 0){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                pageStack.pop();
            }else{
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteFailedDialog.open();
            }
        }
        onSoundTrackerShareFinished:{
            if(type === 0){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                pageStack.pop();
            }else{
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteFailedDialog.open();
            }
        }
    }

    Image {
        id: bg
        source: "../image/home_bg.png"
        MouseArea{
            anchors.fill: parent
            onClicked: {
                shareContent.closeSoftwareInputPanel();
                shareContent.focus=false;
            }
        }
    }

    CommonComponent.CancelDoneTopBar{
        id:topBar
        cancelText:qsTr("Cancel")
        doneText:qsTr("Share")
        onCancel: {
            shareContent.closeSoftwareInputPanel();
            shareContent.focus=false;
            pageStack.pop();
        }
        onDone: {
            shareContent.closeSoftwareInputPanel();
            shareContent.focus=false;
            if(shareType=="Facebook"){
                mask.visible=true;
                indicator.visible=true;
                indicator.running=true;
                context.getBitlySharten(context.currentPlayingStationId);
            }else if(shareType=="Twitter"){
                mask.visible=true;
                indicator.visible=true;
                indicator.running=true;
                context.getBitlySharten(context.currentPlayingStationId);
            }else if(shareType=="Soundtracker"){
                mask.visible=true;
                indicator.visible=true;
                indicator.running=true;
                context.soundTrackerShare(context.currentPlayingStationId,shareEditPage.friendIdString,shareContent.text);
            }
        }
    }

    Text {
        id: shareLabel
        text: qsTr("Share to")+" "+shareType
        anchors.top: topBar.bottom
        anchors.topMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
        font.pixelSize: 24
        font.bold: true
        color: "white"
    }
    Text {
        id: contentNum
        color: "white"
        font.pixelSize: 16;font.bold: true
        anchors.right: parent.right;anchors.rightMargin: 20
        anchors.bottom: line.top;anchors.bottomMargin: 20
        text: (shareType=="Twitter")?119-shareContent.text.length:(shareType=="Soundtracker")?140-shareContent.text.length:420-shareContent.text.length
        onTextChanged: {
            if(shareType=="Twitter"){
                if((119-shareContent.text.length<0)||(shareContent.text.length==0)){
                    topBar.doneIsClickable=false;
                }else{
                    topBar.doneIsClickable=true;
                }
            }else if(shareType=="Soundtracker"){
                if((140-shareContent.text.length<0)||(shareContent.text.length==0)){
                    topBar.doneIsClickable=false;
                }else{
                    topBar.doneIsClickable=true;
                }
            }else{
                if((420-shareContent.text.length<0)||(shareContent.text.length==0)){
                    topBar.doneIsClickable=false;
                }else{
                    topBar.doneIsClickable=true;
                }
            }
        }
    }

    Rectangle{
        id:line
        width: parent.width
        height:1
        anchors.top:shareLabel.bottom
    }

    Flickable {
        id: textFlick
        function ensureVisible(r){
            if (contentX >= r.x){
                contentX = r.x;
            }else if(contentX+width <= r.x+r.width){
                contentX = r.x+r.width-width;
            }
            if (contentY >= r.y){
                contentY = r.y;
            }else if (contentY+height <= r.y+r.height){
                contentY = r.y+r.height-height;
            }
        }

        anchors.top: line.bottom; anchors.topMargin: 10;
        anchors.bottom: playbackProgressBarArea.visible?playbackProgressBarArea.top
                                                       :stationBottomBar.visible?stationBottomBar.top
                                                                                :parent.bottom;
        anchors.bottomMargin: 10;
        anchors.left: parent.left; anchors.right: parent.right
        anchors.leftMargin: 10; anchors.rightMargin: 10
        clip: true
        contentHeight: shareContent.paintedHeight
        TextEdit {
            id: shareContent
            width: textFlick.width; height: textFlick.height
            wrapMode: TextEdit.Wrap
            onCursorRectangleChanged: textFlick.ensureVisible(cursorRectangle)
            color: "white"
            text: shareType == "Soundtracker"?"":shareType=="Facebook"? shareEditPage.fbShareText:shareEditPage.twShareText
            font.pixelSize: 24
            onActiveFocusChanged: {
                if (shareContent.activeFocus) {
                    playbackProgressBarArea.visible = false;
                    stationBottomBar.visible = false;
                } else if (!shareContent.activeFocus) {
                    if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                        playbackProgressBarArea.visible = true;
                    }
                    stationBottomBar.visible = true;
                }
            }
        }
    }

    // playbackProgressBarArea
    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }

    // mask
    Rectangle{
        id: mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }

    // stationBottomBar
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
            shareContent.closeSoftwareInputPanel();
            shareContent.focus=false;
        }
        onCloseSoftPanel: {
            shareContent.closeSoftwareInputPanel();
            shareContent.focus=false;
        }
    }
    StationPlayerPopDialog {
        id: inviteFailedDialog
        dialogAccept: qsTr("Ok")
        dialogTitle: qsTr("Share Failed")
        dialogContent: qsTr("Share failed. Please check your network and try again!")
    }

    Component.onCompleted: {
        context.getUserInfo();
    }
}
