import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id:shareStationPage
    width: parent.width
    height: parent.height

    property bool fbclicked: false
    property bool componentCreated: false
    property variant facebookQml
    property variant component
    property bool emailClicked: false
    property string emailBodyContent: qsTr("Hey! ")
                                      + profileFullName+qsTr(" think you would like ")
                                      + context.currentPlayingStationName
                                      + qsTr(" in SoundTracker! Have a look at this!")
    property string emailSubjectContent: profileFirstName+qsTr(" shares station to you")

    function facebookClicked() {
        if(fbclicked==false) {
            fbclicked = true;
            if(componentCreated == false) {
                componentCreated = true;
                component = Qt.createComponent("FaceBookLogin.qml");
                if(component.status == Component.Ready) {
                    facebookQml = component.createObject(shareStationPage);
                    facebookQml.state = "ShowUp"
                }
            }else {
                shareStationPage.facebookQml.state = "ShowUp";
            }
        }
    }
    Image {
        id: bg
        source:  "../image/home_bg.png"
    }

    ListModel {
        id: shareStationModel
             ListElement {
                 name: "Facebook"
                 backgroundBar:"../image/facebook.png"
             }
             ListElement {
                 name: "Twitter"
                 backgroundBar:"../image/twtter.png"
             }
             ListElement {
                 name: "SoundTracker"
                 backgroundBar:"../image/soundtraker.png"
             }
             ListElement {
                 name: "Email"
                 backgroundBar:"../image/others.png"
             }
    }

    Component {
        id: shareStationDelegate
        Item
        {
            width:500;
            height: 90
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
                id: image
                source: backgroundBar
            }
            Text
            {
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: 20
                color:"white"
                text:name
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if(name=="Facebook"){
                        if(mainPage.faceBookToken!==""){
                            pageStack.push(Qt.resolvedUrl("ShareEidt.qml"),{faceBookToken:mainPage.faceBookToken,shareType:"Facebook"});
                        }else{
                            mainPage.faceBookCreateFrom="share";
                            facebookClicked();
                        }
                    }else if(name=="Twitter"){
                        if(mainPage.twitterIsLogin){
                            pageStack.push(Qt.resolvedUrl("ShareEidt.qml"),{shareType:"Twitter"});
                        }else{
                            mainPage.twitterLoginFrom="share";
                            pageStack.push(Qt.resolvedUrl("TwitterLogin.qml"));
                        }
                    }else if(name=="Email"){
                        if(emailClicked==false){
                            emailClicked=true;
                            Qt.openUrlExternally("mailto:?body=" + emailBodyContent+"&subject="+emailSubjectContent);
                        }
                    }else if(name=="SoundTracker"){
                        pageStack.push(Qt.resolvedUrl("ShareViaSountracker.qml"));
                    }
                }
            }
        }
    }

    ListView {
        id: shareStationView
        spacing: 15
        clip: true
        width: parent.width
        anchors.topMargin: spacing
        anchors.top: stationTopBar.bottom
        anchors.bottom: parent.bottom
        model: shareStationModel
        delegate: shareStationDelegate
    }

    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Share Station")
    }

    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
    Timer{
        id: timer
        running: emailClicked
        interval: 4000
        onTriggered: {
            emailClicked=false;
        }
    }
    Component.onCompleted: {
        context.getUserInfo();
    }
}
