import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id:friendsShareListView
    width: parent.width
    height: parent.height

    property int selcetedItem: 1
    property string userId:""
    property string headerBarText: qsTr("Select Friends")
    property string idsString

    ListModel{
        id:selectedFriendIdmodel
    }
    Connections {
        target: context
        onGetFollowersFinished: {
            mask.visible=false;
            indicator.running = false;
            indicator.visible = false;
        }
        onGetFollowingFinished:{
            mask.visible=false;
            indicator.running = false;
            indicator.visible = false;
        }
    }
    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    StationsTopBar {
        id: stationTopBar
        stationIconSource: "../image/friend_station_b.png"
        stationNameText: headerBarText
    }

    Image {
        id: shareBtn
        source: selectedFriendIdmodel.count>0?"../image/cancel_a.png":"../image/cancel_b.png"
        anchors.right: stationTopBar.right
        anchors.rightMargin: 20
        anchors.verticalCenter: stationTopBar.verticalCenter
        Text {
            id: shareBtnLabel
            text: qsTr("Share")
            anchors.centerIn: parent
            color: "white"
            font.bold: true
            font.pixelSize: 24
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                if(selectedFriendIdmodel.count>0){
                    for(var i=0;i<selectedFriendIdmodel.count;i++){
                        idsString = idsString + selectedFriendIdmodel.get(i).id+",";
                    }
                    idsString = idsString.substring(0,idsString.length-1);
                    pageStack.replace(Qt.resolvedUrl("ShareEidt.qml"),{friendIdString:idsString,shareType:"Soundtracker"});
                    idsString = "";
                }
            }
        }
    }

    Image {
        id: followerBtn
        anchors.top:stationTopBar.bottom
        anchors.topMargin: 20
        anchors.right: parent.right
        anchors.rightMargin: parent.width/2

        Text {
            id: followers
            text: qsTr("Followers")
            anchors.centerIn: parent
            color: "white"
            font.bold: true
            font.pixelSize: 20
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                followerBtn.source="../image/select_a01.png"
                followeringBtn.source = "../image/select_a02.png"
                if(selcetedItem==2){
                    friendsList.visible=true;
                    friendsFollowingList.visible=false;
                    mask.visible=true;
                    indicator.running = true;
                    indicator.visible = true;
                    context.getFollowers(userId);
                    selcetedItem=1;
                }
            }
        }
    }
    Image {
        id: followeringBtn
        anchors.top:followerBtn.top
        anchors.left: followerBtn.right

        Text {
            id: followering
            text: qsTr("Following")
            anchors.centerIn: parent
            color: "white"
            font.bold: true
            font.pixelSize: 20
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                followerBtn.source="../image/select_b01.png";
                followeringBtn.source = "../image/select_b02.png";
                if(selcetedItem==1){
                    friendsList.visible=false;
                    friendsFollowingList.visible=true;
                    mask.visible=true;
                    indicator.running = true;
                    indicator.visible = true;
                    context.getFollowing(userId);
                    selcetedItem=2;
                }
            }
        }
    }

    ChooseList{
        id: friendsList
        listViewModel: followersModel
        anchors.top: followerBtn.bottom
        anchors.bottom: stationBottomBar.top
        anchors.topMargin: 10
        anchors.bottomMargin: 10
    }
    ChooseList{
        id: friendsFollowingList
        listViewModel: followingModel
        anchors.top: followerBtn.bottom
        anchors.bottom: stationBottomBar.top
        anchors.topMargin: 10
        anchors.bottomMargin: 10
        visible:false
    }

    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
            userId = "";
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        anchors.top:stationTopBar.bottom
        anchors.bottom: stationBottomBar.top
        color: "transparent"

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: true
        }
    }

    Component.onCompleted: {
            followerBtn.source="../image/select_a01.png"
            followeringBtn.source = "../image/select_a02.png"
            friendsList.visible = true;
            friendsFollowingList.visible = false;
            context.getFollowers(userId);
    }
}
