import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id: stMainPage
    width: parent.width
    height: parent.height
    color: "black"

    property int suggestedFriendsNumber: 0

    Connections{
        target: context
        onGetOnlinFollowingNumsFinished:{
            if(type===0){
                mainPage.currentOnlineFriends = mainPage.currentOnlineFriends+onlineFollowingNums;
            }
        }
        onGetOnlinFollowersNumsFinished:{
            if(type===0){
                mainPage.currentOnlineFriends = mainPage.currentOnlineFriends+onlineFollowersNums;
            }
        }
    }
    // backgroudImg
    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    Image {
        id: logo
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        source: "../image/logo_text.png"
    }
    Item {
        id: searchArea
        anchors.top: logo.bottom
        width: parent.width
        height: searchAreaBg.sourceSize.height
        Image {
            id: searchAreaBg
            anchors.fill: parent
            source: "../image/search_bg.png"
        }
        Image {
            id: searchBox
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.leftMargin: 10
            anchors.rightMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            anchors.bottomMargin: 10
            source: "../image/search.png"
            Text {
                anchors.left: parent.left
                anchors.right: parent.right
                anchors.leftMargin: 30
                anchors.rightMargin: 50
                anchors.verticalCenter: parent.verticalCenter
                elide: Text.ElideRight
                font.pixelSize: 20
                text: qsTr("Search for Artist to Create a Station")
                color: "gray"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    pageStack.push(Qt.resolvedUrl("SearchArtistPage.qml"), {searchPurpose: "CREATESTATION"});
                }
            }
        }
        Image {
            id: icon
            anchors.right: parent.right
            anchors.rightMargin: 20
            anchors.verticalCenter: parent.verticalCenter
            source: "../image/icon_a.png"
        }
    }

    GridView {
        id: gridView
        clip: true
        width: parent.width
        anchors.top: searchArea.bottom
        anchors.topMargin: 20
        anchors.bottom: parent.bottom
        cellWidth: width / 3
        cellHeight: cellWidth + 30
        model: gridModel
        delegate: gridViewDelegate
    }
    ListModel {
        id: gridModel
        ListElement {
            name: "My Stations"
            portrait: "../image/my_station.png"
        }
        ListElement {
            name: "Trendy Stations"
            portrait: "../image/trendy_station.png"
        }
        ListElement {
            name: "Nearby Stations"
            portrait: "../image/nearby_station.png"
        }
        ListElement {
            name: "Friends"
            portrait: "../image/friend_station.png"
        }
        ListElement {
            name: "Starred Songs"
            portrait: "../image/favorite.png"
        }
        ListElement {
            name: "Inbox"
            portrait: "../image/inbox.png"
        }
        ListElement {
            name: "Settings"
            portrait: "../image/settings.png"
        }
    }
    Component {
        id: gridViewDelegate
        Item {
            width: GridView.view.cellWidth
            height: GridView.view.cellHeight
            Image {
                id: delegateImage
                anchors.horizontalCenter: parent.horizontalCenter
                source: portrait
            }
            Text {
                id: delegateText
                width: delegateImage.sourceSize.width
                anchors.top: delegateImage.bottom
                anchors.horizontalCenter: delegateImage.horizontalCenter
                horizontalAlignment: Text.AlignHCenter
                color: "white"
                font.pixelSize: 20
                wrapMode: Text.WordWrap
                text: {
                    if (name === "My Stations") {
                        return qsTr("My Stations");
                    } else if (name === "Trendy Stations") {
                        return qsTr("Trendy Stations");
                    } else if (name === "Nearby Stations") {
                        return qsTr("Nearby Stations");
                    } else if (name === "Inbox") {
                        return qsTr("Inbox");
                    } else if (name === "Friends") {
                        return qsTr("Friends");
                    } else if (name === "Starred Songs") {
                        return qsTr("Starred Songs");
                    } else if (name === "Settings") {
                        return qsTr("Settings");
                    }
                }
            }
            Item {
                id: tips
                width: tipsBg.sourceSize.width
                height: tipsBg.sourceSize.height
                anchors.right: delegateImage.right
                anchors.top: delegateImage.top
                anchors.rightMargin: -5
                anchors.topMargin: -5
                visible: {
                    if (name === "Inbox" && context.unReadInboxNums !== "0") {
                        return true;
                    } else {
                        return false;
                    }
                }

                Image {
                    id: tipsBg
                    source: "../image/update.png"
                }
                Text {
                    id: tipsNum
                    anchors.centerIn: parent
                    color: "white"
                    font.pixelSize: 20
                    text: context.unReadInboxNums;
                }
            }
            Item {
                id: tipsFriend
                width: tipsBg2.sourceSize.width
                height: tipsBg2.sourceSize.height
                anchors.right: delegateImage.right
                anchors.top: delegateImage.top
                anchors.rightMargin: -5
                anchors.topMargin: -5
                visible: {
                    if (name === "Friends" && mainPage.currentOnlineFriends!==0) {
                        return true;
                    } else {
                        return false;
                    }
                }

                Image {
                    id: tipsBg2
                    source: "../image/update.png"
                }
                Text {
                    id: tipsNum2
                    anchors.centerIn: parent
                    color: "white"
                    font.pixelSize: 20
                    text: mainPage.currentOnlineFriends
                }
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if (name === "My Stations") {
                        pageStack.push(Qt.resolvedUrl("MyStationsViewer.qml"));
                    } else if (name === "Trendy Stations") {
                        pageStack.push(Qt.resolvedUrl("TrendyStationsViewer.qml"));
                    } else if (name === "Nearby Stations") {
                        pageStack.push(Qt.resolvedUrl("NearbyStationsViewer.qml"));
                    } else if (name === "Inbox") {
                        pageStack.push(Qt.resolvedUrl("InboxPage.qml"));
                    } else if (name === "Friends") {
                        pageStack.push(Qt.resolvedUrl("FriendsStationsViewer.qml"),{selcetedItem:1,suggestedFriendsNumber:suggestedFriendsNumber});
                    } else if (name === "Starred Songs") {
                        pageStack.push(Qt.resolvedUrl("MyFavorites.qml"));
                    } else if (name === "Settings") {
                        pageStack.push(Qt.resolvedUrl("Settings.qml"));
                    }
                }
            }
        }
    }

    SoundTrackerMainBottomBar {
        anchors.bottom: parent.bottom
    }
    Connections {
        target: context
        onMediaPlayerError: {
            if (error == 1) {
                mediaErrorDialog.dialogContent = qsTr("A media resource couldn't be resolved.")
            } else if (error == 2) {
                mediaErrorDialog.dialogContent = qsTr("The format of a media resource isn't (fully) supported.")
            } else if (error == 3) {
                mediaErrorDialog.dialogContent = qsTr("A network error occurred.")
            } else if (error == 4) {
                mediaErrorDialog.dialogContent = qsTr("There are not the appropriate permissions to play a media resource.")
            } else if (error == 5) {
                mediaErrorDialog.dialogContent = qsTr("A valid playback service was not found, playback cannot proceed.")
            }
            mediaErrorDialog.open();
        }
        onCountSuggestedFriendsFinished:
        {
            if(type===0)
            {
                suggestedFriendsNumber=number;
            }
            else
            {
                suggestedFriendsNumber=0;
            }
        }
    }
    StationPlayerPopDialog {
        dialogAccept: qsTr("Ok")
        dialogTitle: qsTr("Oops! MediaPlayer Error")
        id: mediaErrorDialog
        onAccepted: {
        }
    }
    Component.onCompleted: {
        context.getUnReadInboxInfoNums();
        context.countSuggestedFriends();
        context.getOnlinFollowersNums();
        context.getOnlinFollowingNums();
        context.getMyStationIds();
    }
}

