import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id: soundTrackerMainBottomBar
    width: parent.width
    height: soundTrackerMainBottomBarBg.sourceSize.height
    visible: {
        if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
            return true;
        } else {
            return false;
        }
    }
    Image {
        id: soundTrackerMainBottomBarBg
        source: "../image/bottom.png"
    }

    Item {
        id: playerController
        width: playerControllerBg.sourceSize.width
        height: playerControllerBg.sourceSize.height
        anchors.centerIn: parent
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }

        Image {
            id: playerControllerBg
            anchors.centerIn: parent
            source: "../image/bottom_bg.png"
        }
        Item {
            id: playAndPauseArea
            anchors.left: parent.left
            width: parent.width / 2
            height: parent.height
            Image {
                id: playAndPause
                anchors.left: parent.left
                anchors.leftMargin: 25
                anchors.verticalCenter: playAndPauseArea.verticalCenter
                source: {
                    if (context.mediaPlayerState == "playing") {
                        return "../image/pause.png"
                    } else {
                        return "../image/play.png"
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if (!context.mediaPlayerLoading) {
                        if (context.mediaPlayerState == "playing") {
                            context.mediaPlayerPause();
                        } else {
                            context.mediaPlayerResume();
                        }
                    }
                }
            }
        }

        Item {
            id: goToNextUpArea
            anchors.right: parent.right
            width: parent.width / 2
            height: parent.height
            visible:
            {
                if(context.currentSongName==="")
                {
                    return false;
                }
                else
                {
                    return true
                }
            }
            Image {
                id: goToNextUp
                anchors.right: parent.right
                anchors.rightMargin: 25
                anchors.verticalCenter: parent.verticalCenter
                source: "../image/next.png"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if(context.clipSongPlaying)
                    {
                        if (context.nextUpSongId !== "") {
                            context.stopMediaPlayer();
                            context.playNextUpSong();
                            context.clipSongPlaying=false;
                        }
                    }
                    else
                    {
                        if (context.nextUpSongId !== "" && !context.mediaPlayerLoading) {
                            context.playNextUpSong();
                        } else {
                        }
                    }
                }
            }
        }
    }
    BusyIndicator {
        id: indicator
        anchors.centerIn: playerController
        platformStyle: BusyIndicatorStyle { size: "small" ;__invertedString: "inverted"}
        running: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                if (context.mediaPlayerLoading) {
                    return true;
                } else {
                    return false;
                }
            } else {
                return false
            }
        }
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                if (context.mediaPlayerLoading) {
                    return true;
                } else {
                    return false;
                }
            } else {
                return false
            }
        }
    }
    Item {
        id: openPlayer
        width: openPlayerIcon.sourceSize.width
        height: parent.height
        anchors.right: parent.right
        anchors.rightMargin: 20
        visible: {
            if(context.currentSongName==="")
            {
                return false;
            }
            else
            {
                if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                    return true;
                } else {
                    return false;
                }
            }
        }
        Image {
            id: openPlayerIcon
            anchors.centerIn: parent
            source: "../image/music.png"
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                if(context.clipSongPlaying)
                {
                    if (context.nextUpSongId !== "") {
                        context.stopMediaPlayer();
                        context.playNextUpSong();
                        context.clipSongPlaying=false;
                    }
                }
                pageStack.push(Qt.resolvedUrl("StationPlayer.qml"));
            }
        }
    }
}
