import QtQuick 1.0

Item {
    id: stationPlayerBottomBar
    signal goBack
    signal shareTo
    signal mark
    signal edit
    signal del

    width: parent.width
    height: stationPlayerBottomBarBg.sourceSize.height
    Image {
        id: stationPlayerBottomBarBg
        width: parent.width
        source: "../image/bottom.png"
    }
    Row {
        width: parent.width
        height: parent.height
        Item {
            id: goBack
            width: parent.width / 5
            height: parent.height
            Image {
                id: backBg
                anchors.centerIn: parent
                source: "../image/icon_bg.png"
            }
            Image {
                anchors.centerIn: parent
                source: "../image/back.png"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    stationPlayerBottomBar.goBack();
                }
            }
        }
        Item {
            id: share
            width: parent.width / 5
            height: parent.height
            Image {
                anchors.centerIn: parent
                source: "../image/share.png"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    stationPlayerBottomBar.shareTo();
                }
            }
        }
        Item {
            id: mark
            width: parent.width / 5
            height: parent.height
            Image {
                anchors.centerIn: parent
                source: {
                    if (context.currentSongId !== "") {
                        return "../image/mark.png";
                    } else {
                        return "../image/mark_disable.png"
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    stationPlayerBottomBar.mark();
                }
            }
        }
        Item {
            id: edit
            width: parent.width / 5
            height: parent.height
            Image {
                anchors.centerIn: parent
                source: {
                    if (context.isFromMyStation) {
                        return "../image/edit.png";
                    } else {
                        return "../image/edit_disable.png"
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    stationPlayerBottomBar.edit();
                }
            }
        }
        Item {
            id: del
            width: parent.width / 5
            height: parent.height
            Image {
                anchors.centerIn: parent
                source: {
                    if (context.isFromMyStation && context.currentSongId !== "") {
                        return "../image/delete.png";
                    } else {
                        return "../image/delete_disable.png"
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    stationPlayerBottomBar.del();
                }
            }
        }
    }
}
