import QtQuick 1.0
import com.nokia.meego 1.0

Dialog {
    id: root

    property string dialogTitle: ""
    property string dialogContent: ""
    property string dialogAccept: ""
    property string dialogReject: ""
    property int titleFontSize: 30
    property int contextFontSize: 24
    property string titleTextColor: "white"
    property string contextTextColor: "gray"
    property int buttonWidth: 200

    platformStyle: DialogStyle {
        leftMargin: 10
        rightMargin: 10
    }

    title: Text {
        width: parent.width
        color: titleTextColor
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: titleFontSize
        wrapMode: Text.WordWrap
        text: dialogTitle
    }

    content: Item {
        width: parent.width
        height: childrenRect.height
        Item {
            anchors.top: parent.top
            width: parent.width
            height: 10
        }
        Text {
            id: contents
            anchors.top: parent.top
            anchors.topMargin: 10
            width: parent.width
            color: contextTextColor
            font.pixelSize: contextFontSize
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            text: dialogContent
        }
        Item {
            anchors.top: contents.bottom
            width: parent.width
            height: 30
        }
    }

    buttons: Row {
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 10
        Button {
            width: buttonWidth
            text: dialogAccept
            onClicked: accept()
        }
        Button {
            width: buttonWidth
            text: dialogReject
            onClicked: rejectBtnClicked()
            visible: dialogReject != "" ? true : false
        }
    }
    onPrivateClicked: {
    }
    function rejectBtnClicked() {
        close();
        rejected();
    }

    function reject() {
    }
}

