import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    id: tosPage
    width: parent.width
    height: parent.height

    property int textSpacing: 5

    // bg
    Image {
        id: bg
        anchors.fill: parent
        source:  "../image/home_bg.png"
    }

    // stationTopBar
    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Terms of service")
    }

    ListModel {
        id: tosModel

        ListElement {
            content: "<h4>SOUNDTRACKER TERMS OF USE & SOFTWARE LICENSE</h4>"
        }
        ListElement {
            content: "<h4>INTRODUCTION</h4>"
        }
        ListElement {
            content: "Welcome to Soundtracker.   Soundtracker makes its mobile and web services available to you subject to these Terms of Use and Software License (“Terms”), which may be updated or modified from time to time. We recommend that you check the Soundtracker website regularly for any changes.  Please read these Terms carefully before downloading the Soundtracker software (the “Software”) and using the Soundtracker mobile and web services.  By downloading the software and using the mobile and web services, you are consenting to and agreeing to be bound by these Terms.  If you do not agree with these Terms, please do not use Soundtracker."
        }

        ListElement {
            content: "<h4>THE SOUNDTRACKER SERVICE</h4>"
        }
        ListElement {
            content: "Soundtracker is a social music application for smartphones and the web (both mobile and web services are referred to here as the “Service”).   Users can tune into the music their friends are listening to, find out where they're listening, and geo-tag songs to real world locations for other people to discover.   They can also create and broadcast radio stations, download songs and share content with friends both on and off the Service through social networks. "
        }

        ListElement {
            content: "<h4>REGISTRATION</h4>"
        }
        ListElement {
            content: "Before you download the Software and use the Service, you will be asked to register, create an account with Soundtracker and select a password.  You should provide Soundtracker with accurate, complete and updated registration information.  You should not impersonate another person and make sure to keep your account password secure.  You are solely responsible for the activity that occurs in your account. Please notify Soundtracker immediately of any actual or suspected unauthorized use of your account or breach of security.  Parental permission is required for all children between the ages of 13 and 18 and the registration information should be in the name of the parent, who should carefully monitor their child’s usage.  Not all content on the Service may be appropriate for children.  All registration information provided by you is covered by Soundtracker’s Privacy Policy.  Soundtracker reserves the right to charge a fee for the Services."
        }

        ListElement {
            content: "<h4>THE RULES</h4>"
        }
        ListElement {
            content: "Soundtracker grants you permission to download the Software and use the Service, subject to the rules and conditions in these Terms, including the following:"
        }
        ListElement {
            content: "i.       The Service is available only to persons 13 years of age and older. "
        }
        ListElement {
            content: "ii.      You agree not to use the Service or the Software for any unlawful purpose."
        }
        ListElement {
            content: "iii.     You agree to obey all applicable local, state, national and international laws and regulations, specifically including all intellectual property and copyright laws."
        }
        ListElement {
            content: "iv.    You may not take any action that could: (a) impose an overly large load on Soundtracker’s infrastructure; (b) interfere or attempt to interfere with the proper working of the Service; (c) bypass any measures Soundtracker may use to prevent or restrict access to the Service, other accounts, or computer systems or networks connected to the Service; (d) interfere with any other user’s enjoyment of the Service, including, without limitation, accessing an account of a user that is not yours; or (e) run any form of auto-responder or “spam” or use automated software or other processes to “crawl” or “spider” any page or part of the Service."
        }
        ListElement {
            content: "v.     You may not copy, modify, translate, decompile, disassemble, or reverse engineer any part of the Service, the Software or any Content available through the Service.  "
        }
        ListElement {
            content: "vi.    You agree not to circumvent, disable or otherwise interfere with security related features of the Service, the Software or features that prevent or restrict use or copying of any Content or User Submissions."
        }

        ListElement {
            content: "<h4>CONTENT AND OWNERSHIP</h4>"
        }
        ListElement {
            content: "The content accessible through the Service, including any text, software, scripts, graphics, photos, music, videos, interactive features and the like (the \"Content\") and the trademarks, service marks and logos (the \"Marks\") are owned by or licensed to Soundtracker, and subject to copyright and other intellectual property rights under United States and foreign laws and international conventions.  Except as set forth in these Terms, the Content, Marks, and User Submissions are provided to you AS IS for your information and personal and non-commercial use only and may not be used, copied, reproduced, distributed, transmitted, broadcast, displayed, sold, licensed, or otherwise exploited for any purposes whatsoever except as set forth in these Terms.  You may not remove any proprietary notices, marks or labels.  Soundtracker and the licensors of the Content reserve all rights in and to the Service and the Content."
        }

        ListElement {
            content: "<h4>USER SUBMISSIONS</h4>"
        }
        ListElement {
            content: "The Service permits users to comment or upload certain content, which may include text or images, in audio or video formats (\"User Submissions\").  By submitting, posting, uploading or emailing User Submissions to Soundtracker, you are granting Soundtracker a worldwide, non-exclusive, royalty-free, perpetual, irrevocable, sublicensable and transferable license to use, reproduce, modify, distribute, prepare derivative works of, display, publish, perform and transmit the User Submissions in connection with the Service in any media formats and through any media channels.  You also are granting to each user of the Service a non-exclusive license to view and/or access your User Submission through the Service, and to use, reproduce, distribute, prepare derivative works of, display and perform the User Submission as permitted through the functionality of the Service and under these Terms.
You retain all of your rights in your User Submission. You acknowledge that you have no expectation of privacy or confidentiality with respect to your User Submission.  You shall be solely responsible for your own User Submission and the consequences of posting or publishing it on the Service. In connection with any User Submission that you make available on the Service, you expressly represent and warrant that you either own or have secured the necessary licenses, rights, consents, and permissions to enable Soundtracker to include the User Submission as part of the Service in the manner contemplated by these Terms.  You warrant that all moral rights to the User Submission you submit have been waived.
Soundtracker does not guarantee that any User Submissions will be made available on the Service.  Soundtracker shall have no obligation to monitor any User Submission.  However, Soundtracker and its agents reserve the right to monitor any User Submission from time to time for any lawful purpose.  Soundtracker may, without notice to you, remove or block any User Submission from the Service.
You agree not to (a) take any action or (b) upload, download, post, submit or otherwise distribute or facilitate distribution of any material that:"
        }
        ListElement {
            content: "i.       infringes any patent, trademark, trade secret, copyright, right of publicity or other right of any other person or entity; or"
        }
        ListElement {
            content: "ii.      is threatening, abusive, harassing, defamatory, libelous, deceptive, fraudulent, invasive of another’s privacy, tortious, offensive, profane, pornographic or obscene, or promotes hate or incites violence; or"
        }
        ListElement {
            content: "iii.     misrepresents the source or identity of any Content; or"
        }
        ListElement {
            content: "iv.    constitutes unauthorized or unsolicited advertising, junk or bulk e-mail (“spamming”) or a chain letter, a pyramid scheme or any other similar solicitation; or"
        }
        ListElement {
            content: "v.     contains software viruses or any other computer codes, files, or programs that are designed or intended to disrupt, damage, limit or interfere with the proper function of any software, hardware, or telecommunications equipment or to damage or obtain unauthorized access to any system, data or other information of Soundtracker or any third party; or"
        }
        ListElement {
            content: "vi.    impersonates, or falsely indicates an affiliation with, any person or entity, including, without limitation, any employee or representative of Soundtracker; or"
        }
        ListElement {
            content: "vii.   constitutes an offer, for sale or otherwise, of any firearms, explosives, weapons, tobacco products, controlled substances, pharmaceuticals, counterfeit or stolen articles, registered or unregistered securities, or any items that would cause Soundtracker to violate any applicable law or regulation."
        }

        ListElement {
            content: "<h4>THIRD PARTY SITES AND SERVICES</h4>"
        }
        ListElement {
            content: "Soundtracker enables access to third party services and web sites (collectively and individually, \"Third Party Services\").  Use of the Third Party Services may require that you accept additional terms of service and/or pay applicable fees.
By using the Third Party Services, you acknowledge and agree that Soundtracker is not responsible for examining or evaluating the content, accuracy, completeness, timeliness, validity, copyright compliance, legality, decency, quality or any other aspect of such Third Party Services.  Soundtracker does not warrant or endorse and does not assume and will not have any liability or responsibility to you or any other person for any Third Party Services, or for any other content, products, or services of third parties.  Location data provided by any Third Party Service is for basic navigational purposes only and is not intended to be relied upon in situations where precise location information is needed or where erroneous, inaccurate or incomplete location data may lead to personal injury, property or environmental damage, or death.  Neither Soundtracker nor any of its content providers guarantees the availability, accuracy, completeness or reliability of location data displayed by any Third Party Services."
        }

        ListElement {
            content: "<h4>COPYRIGHT POLICY</h4>"
        }
        ListElement {
            content: "If you believe that your work has been copied in a way that constitutes copyright infringement, or your intellectual property rights have been otherwise violated, please provide Soundtracker's copyright agent the following information:"
        }
        ListElement {
            content: "i.       an electronic or physical signature of the person authorized to act on behalf of the owner of the copyright or other intellectual property interest;"
        }
        ListElement {
            content: "ii.      a description of the copyrighted work or other intellectual property that you claim has been infringed;"
        }
        ListElement {
            content: "iii.     a description of where the material that you claim is infringing is located on the Service;"
        }
        ListElement {
            content: "iv.    your address, telephone number, and email address;"
        }
        ListElement {
            content: "v.     a statement by you that you have a good faith belief that the disputed use is not authorized by the copyright owner, its agent or the law;"
        }
        ListElement {
            content: "vi.    a statement by you, made under penalty of perjury, that the above information in your notice is accurate and that you are the copyright or intellectual property owner or authorized to act on the copyright or intellectual property owner's behalf."
        }
        ListElement {
            content: "Soundtracker's agent for notice of claims of copyright or other intellectual property infringement can be reached as follows:"
        }
        ListElement {
            content: "By mail:"
        }
        ListElement {
            content: "Copyright Agent"
        }
        ListElement {
            content: "c/o Soundtracker"
        }
        ListElement {
            content: "1805 Newton Street, NW"
        }
        ListElement {
            content: " Washington, DC 20010"
        }
        ListElement {
            content: "By email: copyright@Soundtracker.com."
        }

        ListElement {
            content: "<h4>DISCLAIMER AND LIMITATION OF LIABILITY</h4>"
        }
        ListElement {
            content: "<h4>THE SERVICE, SOFTWARE, CONTENT AND MARKS ARE PROVIDED BY SOUNDTRACKER “AS IS” AND “AS AVAILABLE.”  SOUNDTRACKER MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED, ABOUT THE SERVICE, THE SOFTWARE, ANY THIRD PARTY SERVICE OR THE CONTENT OR MARKS, AND TO THE FULLEST EXTENT PERMITTED BY LAW, SOUNDTRACKER DISCLAIMS ALL WARRANTIES REGARDING THE SERVICE, THE SOFTWARE, ANY THIRD PARTY SERVICES AND THE CONTENT AND MARKS, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, ACCURACY OR COMPLETENESS OF CONTENT, NON-INFRINGEMENT, OR THE AVAILABILITY OR QUALITY OF ANY PRODUCTS OR SERVICES AVAILABLE VIA THE SERVICE.  YOU AGREE THAT USE OF THE SERVICE, THE SOFTWARE, AND ANY THIRD PARTY SERVICE SHALL BE AT YOUR SOLE RISK.  FURTHER, SOUNDTRACKER DOES NOT ENDORSE, GUARANTEE OR ASSUME RESPONSIBILITY FOR ANY PRODUCT OR SERVICE ADVERTISED OR OFFERED BY ANY THIRD PARTY THROUGH THE SERVICE OR ANY HYPERLINKED WEBSITE INCLUDED IN ANY BANNER OR OTHER ADVERTISING, AND SOUNDTRACKER WILL NOT BE A PARTY TO OR IN ANY WAY RESPONSIBLE FOR MONITORING ANY TRANSACTION BETWEEN YOU AND ANY THIRD PARTY WITH RESPECT THERETO.</h4>"
        }
        ListElement {
            content: "<h4>IN NO EVENT SHALL SOUNDTRACKER OR ITS AFFILIATES, SUBSIDIARIES, PARTNERS OR LICENSORS OR ANY OF THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES AND/OR AGENTS BE LIABLE TO YOU OR ANY THIRD PARTY FOR DIRECT, INDIRECT, SPECIAL, EXEMPLARY, PUNITIVE OR OTHER CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING BUT NOT LIMITED TO ANY LOST PROFITS OR REVENUE, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE) ARISING DIRECTLY OR INDIRECTLY FROM YOUR USE OF THE SERVICE, THE SOFTWARE, ANY THIRD PARTY SERVICE OR ANY CONTENT, PRODUCTS OR SERVICES DISTRIBUTED ON OR PROVIDED THROUGH THE SERVICE (INCLUDING BUT NOT LIMITED TO, THE CONTENT AND THE MARKS), WHETHER AS A RESULT OF ERRORS, OMISSIONS, LOSS OF DATA, DEFECTS, VIRUSES, INTERRUPTIONS OR DELAYS IN OPERATION OR TRANSMISSION OF THE MOBILE OR WEB SERVICES, OR ANY OTHER CAUSE, WHETHER BASED ON WARRANTY, CONTRACT, TORT OR ANY OTHER LEGAL THEORY, EVEN IF SOUNDTRACKER HAS BEEN EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  WITHOUT LIMITING THE GENERALITY OF THE FOREGOING, SOUNDTRACKER ASSUMES NO LIABILITY FOR: ANY ERRORS, MISTAKES OR INACCURACIES IN OR OF ANY CONTENT, INCLUDING ANY USER SUBMISSIONS; PERSONAL INJURY OR PROPERTY DAMAGE, OF ANY NATURE WHATSOEVER, RESULTING FROM YOUR ACCESS TO OR USE OF THE SERVICE OR THE SOFTWARE; ANY UNAUTHORIZED ACCESS TO OR USE OF THE SOUNDTRACKER SERVERS AND/OR ANY PERSONAL INFORMATION AND/OR FINANCIAL INFORMATION STORED THEREIN; ANY INTERRUPTION OR CESSATION OF TRANSMISSION TO OR FROM THE SOUNDTRACKER WEBSITE OR MOBILE APPLICATION; ANY VIRUSES, BUGS, TROJAN HORSES, WORMS OR OTHER MALICIOUS CODE WHICH MAY BE TRANSMITTED TO OR THROUGH THE SOFTWARE, THE SOUNDTRACKER WEBSITE OR THE MOBILE APPLICATION BY ANY THIRD PARTY, AND/OR ANY LOSS OR DAMAGE OF ANY KIND INCURRED AS A RESULT OF THE USE OF THE SERVICE OR ANY CONTENT, INCLUDING ANY USER SUBMISSIONS, POSTED, EMAILED OR OTHERWISE MADE AVAILABLE THROUGH THE SERVICE.</h4>"
        }

        ListElement {
            content: "<h4>INDEMNIFICATION</h4>"
        }
        ListElement {
            content: "You agree to indemnify and hold Soundtracker and its parents, members, subsidiaries, affiliates, service providers, syndicators, distributors, licensors, officers, directors and employees, harmless from any claim or demand, including reasonable attorneys' fees, made by any third party due to, or arising out of or related to your violation of this Agreement, or your violation of any law, regulation or third-party right."
        }

        ListElement {
            content: "<h4>TERMINATION</h4>"
        }
        ListElement {
            content: "Soundtracker may terminate your access to all or any part of the Service and revoke your license to the Software at any time, with or without cause, with or without notice, effective immediately.  You may terminate your use of the Service or the Software at any time, provided that all provisions of these Terms, which by their nature should survive termination, shall survive termination, including, without limitation, Content and Ownership, Disclaimer and Limitation of Liability, and Indemnification."
        }

        ListElement {
            content: "<h4>SOFTWARE LICENSE</h4>"
        }
        ListElement {
            content: "License Grant and Restrictions.  Soundtracker hereby grants you a non-exclusive, non-transferable, revocable license to use the object code copy of the Software to use the Software for one Soundtracker user account accessible by a single login ID."
        }
        ListElement {
            content: "You may not:"
        }
        ListElement {
            content: "i.       modify, disassemble, decompile, reverse engineer or benchmark or performance test the Software or other services accessible with the Software, except to the extent that such restriction is expressly prohibited by law; provided, however, that if you require access to the source code of the Software in order to achieve interoperability of same with other software, and if you are in a jurisdiction that mandates such access, you will, prior to exercising such right to such access, inform Soundtracker accordingly, and Soundtracker can then decide, in its sole discretion, to either: (a) perform the work in order to achieve such interoperability and charge its then-standard rates for such work to you; or (b) permit you to reverse engineer parts of the Software in order to obtain such source code, but only to the extent necessary to achieve such interoperability;"
        }
        ListElement {
            content: "ii.      rent, lease, loan, resell, sublicense, distribute or otherwise transfer the Software to any third party;"
        }
        ListElement {
            content: "iii.     make any copy of the Software beyond the number of copies authorized to be installed;"
        }
        ListElement {
            content: "iv.    circumvent or disable any technology features or measures in the Software for protection of intellectual property rights; or"
        }
        ListElement {
            content: "v.     delete the copyright and other proprietary rights notices on the Software."
        }
        ListElement {
            content: "Any attempt by you to transfer any of the rights, duties or obligations hereunder, except as expressly provided for in these Terms, is void."
        }
        ListElement {
            content: "Software Upgrades.  You acknowledge that Soundtracker may from time to time, but is not obligated to, issue upgraded versions of the Software, and may automatically electronically upgrade the version of the Software that you are using.  You consent to such automatic upgrading, and agree that these Terms  will apply to all upgraded versions."
        }
        ListElement {
            content: "Export Laws.  You may not use or otherwise export or re-export the Software except as authorized by United States law and the laws of the jurisdiction in which the Software was obtained.  In particular, the Software may not be exported or re-exported (a) into any U.S. embargoed countries or (b) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Department of Commerce Denied Person’s List or Entity List.  By using the Software, you represent and warrant that you are not located in any such country or on any such list.
Ownership of Software.  The Software is the copyrighted proprietary material of Soundtracker.   Your license under these Terms is not a sale of the Software or any copy thereof, and Soundtracker retains all right, title, and interest in and to the Software (and any and all copies thereof) and all intellectual property rights thereto. Soundtracker reserves all rights not expressly granted under this Software License."
        }

        ListElement {
            content: "<h4>GENERAL</h4>"
        }
        ListElement {
            content: "Privacy Policy.  Your use of the Service is subject to your acceptance of our Privacy Policy, which is incorporated by reference.  Please read the Privacy Policy carefully for disclosures relating to the collection and use of your personal information."
        }
        ListElement {
            content: "Modification.  Soundtracker shall have the right to modify these Terms at any time, which modification shall be effective immediately following Soundtracker’s posting on its website.  We recommend that you check the Soundtracker website regularly for any such changes.  Your use of the Service and Software following such posting shall be deemed to constitute your acceptance of such modification.  These Terms may not otherwise be changed or modified, except in a writing signed by an authorized representative of Soundtracker."
        }
        ListElement {
            content: "Enforceability and Waiver. These Terms constitute the entire agreement between you and Soundtracker and govern your use of the Service. You also may be subject to additional terms and conditions that may apply when you use any Third Party Services. If any provision of these Terms is found illegal or unenforceable, the Terms will be enforced to the maximum extent permissible, and the legality and enforceability of the other provisions of these Terms will not be affected.  No delay or failure by Soundtracker to exercise or enforce any of its rights under these Terms will act as a waiver of such rights."
        }
        ListElement {
            content: "International Use.  The Service, including the Software, is controlled and offered by Soundtracker from its facilities in the United States of America.  Soundtracker makes no representations that the Service is appropriate or available for use in other locations.  Those who access or use the Service from other jurisdictions do so at their own volition and are responsible for compliance with local law."
        }
        ListElement {
            content: "Governing Law, Jurisdiction and Venue.  These Terms shall be governed by and construed in accordance with the laws of the State of Delaware, without regard to or application of choice of law rules or principles.  You expressly consent to the personal and exclusive jurisdiction and venue of the state and federal courts located in Delaware for any claim or action arising out of or relating to these Terms or your use of the Service.  You agree that: the Service shall be deemed to be solely based in the State of Delaware; the Soundtracker website shall be deemed a passive website that does not give rise to personal jurisdiction over Soundtracker, either specific or general, in jurisdictions other than the State of Delaware; and ANY CAUSE OF ACTION ARISING OUT OF OR RELATED TO THE SERVICE MUST COMMENCE WITHIN ONE YEAR AFTER THE CAUSE OF ACTION ACCRUES. "
        }

        ListElement {
            content: "These Terms of Use were last updated on May 23, 2011."
        }
    }

    Component {
        id: tosDelegate

        Text {
            width: contentView.width
            height: paintedHeight
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            font.pixelSize: 24
            verticalAlignment: Text.AlignVCenter
            color: "white"
            text: content
        }
    }

    ListView {
        id: contentView
        width: parent.width - 8
        anchors.top: stationTopBar.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 4
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.bottom: stationBottomBar.top
        model: tosModel
        delegate: tosDelegate
        clip: true
        spacing: 14
    }

    ScrollDecorator {
        id: scrolldecorator
        flickableItem: contentView
    }

    // stationBottomBar
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onGoBack: {
            pageStack.pop();
        }
    }
}
