import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id: trendyStationsViewer
    width: parent.width
    height: parent.height

    Connections {
        target: context
        onGetTrendyStationFinished: {
            indicator.running = false;
            indicator.visible = false;
            if (type === 0) {
                stationList.listViewModel = trendyStationsModel;
            }
        }
    }

    Image {
        id: backgroudImg
        width: parent.width
        height: parent.height
        source: "../image/home_bg.png"
    }

    StationsTopBar {
        id: stationTopBar
        stationIconSource: "../image/trendy_station_b.png"
        stationNameText: qsTr("Trendy Stations")
    }


    StationList {
        id: stationList
//        listViewModel: trendyStationsModel
        anchors.top: stationTopBar.bottom
        anchors.bottom: stationBottomBar.top
        anchors.topMargin: 10
        anchors.bottomMargin: 10
    }

    BusyIndicator {
        id: indicator
        anchors.centerIn: stationList
        platformStyle: BusyIndicatorStyle { size: "large" }
        running: true
    }

    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
        }
    }
    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    Component.onCompleted: {
        context.getTrendyStation();
    }
}
