import QtQuick 1.0
import com.nokia.meego 1.0
import "CommonUtil.js" as Util
import RoundedImage 1.0

Rectangle {
    id: suggestedFriends
    width: parent.width
    height: parent.height

    property string inviteType
    property string friendFbIds
    property string friendTwIds
    property string clickedFriend
    property string twitterAuthId
    property alias friendsListView: friendsListView
    property alias stationBottomBar: stationBottomBar
    property string fbInviationText: qsTr("Hi")+" "+suggestedFriends.clickedFriend+"! "+profileFirstName+" "+qsTr("wants to share music with you on Soundtracker. Come check it out - it's easy, fun, and free.Soundtracker gives you access to more than 13 million songs, using your friends and location to help you discover new music whenever and wherever you want it")
    property string twitterInvitationText: qsTr("Get free access to 13 million+ songs, listen live with friends and play what's hot in your city with @Soundtracker: http://www.soundtracker.fm")

    Connections {
        target: context
        onGetFacebookfriendIdsFinished: {
            if(type===0){

            }else{

            }

            switch(type) {
            case 0:
            {
                suggestedFriends.friendFbIds=fuids;
                context.getFbSuggestedFriend(suggestedFriends.friendFbIds);
            }
            break;

            case 1:
            {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                error.visible = true;
                noFriendFoundError.visible = false
            }
            break;

            case 2:
            {
                mask.visible = false;
                indicator.visible = false;
                indicator.running = false;
                error.visible = false;
                noFriendFoundError.visible = true;
                break;
            }

            default: break;
            }
        }
        onGetFbSuggestedFriendFinished: {
            if(type===0){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                friendsListView.model=fbSuggestFriendModel;
            }else{
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                error.visible=true;
                noFriendFoundError.visible = false
            }
        }
        onInViteFbFriendFinished: {
            if(type===0){
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteSuccessDialog.open()
            }else{
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteFailedDialog.open();
            }
        }
        onGetTwitterFriendIdsFinished: {
            switch(type) {
            case 0:
            {
                suggestedFriends.friendTwIds=twAuthIds;
                context.getTwSuggestedFriend(suggestedFriends.friendTwIds);
                break;
            }

            case 1:
            {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                error.visible=true;
                noFriendFoundError.visible = false
                break;
            }

            case 2:
            {
                mask.visible = false;
                indicator.visible = false;
                indicator.running = false;
                error.visible = false;
                noFriendFoundError.visible = true;
                break;
            }

            default: break;
            }
        }

        onGetTwSuggestedFriendFinished: {
            if(type == 0) {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                friendsListView.model = twSuggestFriendModel;
            }else {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                error.visible=true;
                noFriendFoundError.visible = false
            }
        }

        onInviteTwFriendFinished: {
            console.log("QML -- onInviteTwFriendFinished")
            if(type == 0) {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteSuccessDialog.open()
            }else {
                mask.visible=false;
                indicator.visible=false;
                indicator.running=false;
                inviteAgainFailedDialog.open();
            }
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            friendSearchBox.searchInput.closeSoftwareInputPanel();
            friendSearchBox.searchInput.focus=false;
        }
    }

    Image {
        id: bg
        source:  "../image/home_bg.png"
    }

    StationsTopBar {
        id: stationTopBar
        stationNameText: qsTr("Invite")+" "+inviteType+" "+qsTr("Friends")
    }

    FriendSearchBox {
        id: friendSearchBox
        anchors.top: stationTopBar.bottom
    }

    ListView {
        id:friendsListView
        width: parent.width
        height: parent.height
        anchors.top: friendSearchBox.bottom
        anchors.bottom: stationBottomBar.visible?stationBottomBar.top:parent.bottom
        clip: true
        delegate: friendsListDelegate
    }

    Component {
        id: friendsListDelegate
        Item {
            width: friendsListView.width
            height: 100
            Item {
                id: friendsPic
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.verticalCenter: parent.verticalCenter
                width: 90;
                height: width;
                smooth: true
                RoundedImage {
                    id: defaultImg
                    width: parent.width - 2
                    height: width
                    anchors.centerIn: parent
                    source: Util.getRandomDefaultThumb();
                    engine: declarativeEngine
                }
                RoundedImage {
                    id: friendsImage
                    visible: false
                    width: parent.width - 2
                    height: width
                    anchors.centerIn: parent
                    source: inviteType=="Facebook"
                            ? "http://graph.facebook.com/" + friendId + "/picture?type=small"
                            : pictureUrl
                    engine: declarativeEngine
                }
            }
            Image {
                id: name
                anchors.left: parent.left
                anchors.leftMargin: 20
                width: 80
                height:80
                anchors.verticalCenter: parent.verticalCenter
            }
            Text {
                text: friendName
                anchors.left:friendsPic.right
                anchors.leftMargin: 10
                anchors.top:friendsPic.top
                anchors.topMargin: 20
                font.pixelSize: 20
                color: "white"
            }
            Image {
                source: "../image/arrow_b.png"
                anchors.right: parent.right
                anchors.rightMargin: 10
                anchors.verticalCenter: parent.verticalCenter
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    mask.visible=true;
                    indicator.visible=true;
                    indicator.running=true;
                    friendSearchBox.searchInput.closeSoftwareInputPanel();
                    friendSearchBox.searchInput.focus=false;
                    if(inviteType=="Facebook"){
                        context.inViteFbFriend(suggestedFriends.fbInviationText,mainPage.faceBookToken,friendId);
                    }else{
                        context.inviteTwFriend(suggestedFriends.twitterInvitationText,friendId);
                    }

                }
            }
            states: [
                State {
                    name: "Show"; when: friendsImage.imageStatus == RoundedImage.Ready
                    PropertyChanges { target: friendsImage; visible: true }
                    PropertyChanges {target: defaultImg; visible: false}
                }
            ]
            transitions: [
                Transition {
                    NumberAnimation {
                        properties: "scale"; duration: 500; easing.type: Easing.InOutQuad
                    }
                }
            ]
        }
    }

    Text {
        id: error
        text: qsTr("Some network error occurs. Please try again!")
        visible: false
        width: parent.width-40
        color:"white"
        wrapMode: Text.WordWrap
        font.pixelSize: 24
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        anchors.centerIn: parent
    }

    Text {
        id: noFriendFoundError
        width: parent.width-40
        anchors.centerIn: parent
        visible: false
        color:"white"
        wrapMode: Text.WordWrap
        font.pixelSize: 24
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        text: qsTr("No friends can be found!")
    }

    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: stationBottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    StationsBottomBar {
        id: stationBottomBar
        anchors.bottom: parent.bottom
        onVisibleChanged: {
            if(stationBottomBar.visible){
                if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                    playbackProgressBarArea.visible = true;
                }
            } else if (!stationBottomBar.visible) {
                playbackProgressBarArea.visible = false;
            }
        }
        onGoBack: {
            pageStack.pop();
        }
    }
    Rectangle{
        id:mask
        width: parent.width
        anchors.top:stationTopBar.bottom
        anchors.bottom: stationBottomBar.top
        color: "transparent"

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: true
        }
    }

    StationPlayerPopDialog {
        id: inviteSuccessDialog
        dialogAccept: qsTr("Ok")
        dialogTitle: qsTr("Invite Message")
        dialogContent: qsTr("Your invitation has been sent!")
        onAccepted: {
            pageStack.pop();
        }
    }

    StationPlayerPopDialog {
        id: inviteFailedDialog
        dialogAccept: qsTr("Ok")
        dialogTitle: qsTr("Invite Message")
        dialogContent: qsTr("Your invitation has not been sent. Please try again later!")
    }

    StationPlayerPopDialog {
        id: inviteAgainFailedDialog
        dialogAccept: qsTr("Ok")
        dialogTitle: qsTr("Invite Message")
        dialogContent: qsTr("You can not invite the same friend within 5 minutes!")
    }

    Component.onCompleted: {
        context.getUserInfo();
        friendSearchBox.belongto=inviteType;
        if(inviteType=="Twitter"){
            context.getTwitterFriendIds(suggestedFriends.twitterAuthId);
        }else if(inviteType=="Facebook"){
            context.getFacebookfriendIds(mainPage.faceBookToken);
        }
    }
}
