import QtQuick 1.0
import com.nokia.meego 1.0

Item {
    id:twitterConnectPage
    width: parent.width
    height: parent.height

    property bool errorInfoStatus: false
    property string twauthId

    Connections{
        target: context
        onTwitterLoginFinished:{
            if(mainPage.twitterLoginFrom=="connect"){
                if(type ===0 ){
                    twitterConnectPage.twauthId = authid;
                    context.getTwitterInfoLocal();
                    mainPage.twitterIsLogin=true;
                    context.getWeatherFollowingST();
                }else{
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    warningIcon.visible=true;
                    errorInfo.text=qsTr("Connect failed. Please check your account and password and then try again.");
                    errorInfoStatus=true;
                }
            }
        }
        onAddTwFollowingFinished:{
            if(type==1){
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                mainPage.isFollowingST=false;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Follow failed. Please try again.");
                errorInfoStatus=true;
                checkBtn.checked = false;
            }else{
                context.getWeatherFollowingST();
            }
        }
        onUnFollowingSTFinished:{
            mask.visible = false;
            indicator.running = false;
            indicator.visible = false;
            if(type==1){
                mainPage.isFollowingST=true;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Unfollow failed. Please try again.");
                errorInfoStatus=true;
                checkBtn.checked=true;
            }else{
                mainPage.isFollowingST=false;
            }
        }
        onTwitterLogoutFinished:{
            if(type===0){
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                mainPage.twitterIsLogin=false;
                mainPage.isFollowingST = false;
            }else{
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Disconnect failed. Please try again.");
                errorInfoStatus=true;
            }
        }
        onGetWeatherFollowingSTFinished:{
            mask.visible = false;
            indicator.running = false;
            indicator.visible = false;
            if(type===0){
                mainPage.isFollowingST = true;
            }else{
                mainPage.isFollowingST = false;
            }
        }
    }
    MouseArea{
        anchors.fill: parent
        onClicked: {
            accountInput.closeSoftwareInputPanel();
            pwdInput.closeSoftwareInputPanel();
            accountInput.focus=false;
            pwdInput.focus=false;
        }
    }

    Image {
        id: bg
        source: "../image/home_bg.png"
    }
    StationsTopBar{
        id:topBar
        stationNameText: qsTr("Twitter settings")
    }
    Flickable{
        anchors.top: topBar.bottom
        anchors.bottom: playbackProgressBarArea.visible?playbackProgressBarArea.top:bottomBar.visible?bottomBar.top:parent.bottom
        width:parent.width
        clip: true
        flickableDirection:Flickable.VerticalFlick
        MouseArea{
            anchors.fill: parent
            onClicked: {
                accountInput.closeSoftwareInputPanel();
                pwdInput.closeSoftwareInputPanel();
                accountInput.focus=false;
                pwdInput.focus=false;
            }
        }
        Text {
            id: title
            text: mainPage.twitterIsLogin
                  ? qsTr("You are connected to") + " Twitter!"
                  : qsTr("Connect to") + " Twitter!"
            anchors.top: parent.top
            anchors.topMargin: 20
            font.bold: true
            font.pixelSize: 30
            horizontalAlignment: mainPage.twitterIsLogin?Text.AlignHCenter:Text.AlignLeft
            wrapMode: Text.Wrap
            width: parent.width-40
            color: "white"
        }
        Image {
            id: profilePictrue
            anchors.top: title.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            width: 200
            height: width
            visible: mainPage.twitterIsLogin?true:false
            source: "https://api.twitter.com/1/users/profile_image?size=bigger&screen_name="+settingTwScreenName
        }
        Text {
            id: screenNam
            text: settingTwScreenName
            anchors.top: profilePictrue.bottom
            anchors.topMargin: 10
            font.bold: true
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.Wrap
            width: parent.width-40
            color: "white"
            visible: mainPage.twitterIsLogin?true:false
        }
        Text {
            id: userName
            text: qsTr("Username")
            color: "gray"
            font.bold: true
            font.pixelSize: 24
            anchors.top: title.bottom
            anchors.topMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 20
            visible: mainPage.twitterIsLogin?false:true
        }
        Image {
            id: accountInputBg
            source: "../image/search.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top:userName.bottom
            visible: mainPage.twitterIsLogin?false:true
        }
        TextInput{
            id:accountInput
            anchors.verticalCenter: accountInputBg.verticalCenter
            anchors.left: accountInputBg.left
            anchors.leftMargin: 10
            anchors.right: accountInputBg.right
            anchors.rightMargin: 10
            font.pixelSize: 24
            visible: mainPage.twitterIsLogin?false:true
            onActiveFocusChanged: {
                if (accountInput.activeFocus||pwdInput.activeFocus) {
                    playbackProgressBarArea.visible = false;
                    bottomBar.visible = false;
                } else if (!accountInput.activeFocus&&!pwdInput.activeFocus) {
                    if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                        playbackProgressBarArea.visible = true;
                    }
                    bottomBar.visible = true;
                }
            }
        }
        Text {
            id: passWord
            text: qsTr("Password")
            color: "gray"
            font.bold: true
            font.pixelSize: 24
            anchors.top: accountInputBg.bottom
            anchors.topMargin: 10
            anchors.left: userName.left
            visible: mainPage.twitterIsLogin?false:true
        }
        Image {
            id: pwdInputBg
            source: "../image/search.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top:passWord.bottom
            visible: mainPage.twitterIsLogin?false:true
        }
        TextInput{
            id:pwdInput
            anchors.verticalCenter: pwdInputBg.verticalCenter
            anchors.left: pwdInputBg.left
            anchors.leftMargin: 10
            anchors.right: pwdInputBg.right
            anchors.rightMargin: 10
            font.pixelSize: 24
            echoMode: TextInput.Password
            visible: mainPage.twitterIsLogin?false:true
            onActiveFocusChanged: {
                if (accountInput.activeFocus||pwdInput.activeFocus) {
                    playbackProgressBarArea.visible = false;
                    bottomBar.visible = false;
                } else if (!accountInput.activeFocus&&!pwdInput.activeFocus) {
                    if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                        playbackProgressBarArea.visible = true;
                    }
                    bottomBar.visible = true;
                }
            }
        }

        Text {
            id: introduceInfo
            text: mainPage.twitterIsLogin
                  ? qsTr("You can currently share your stations and invite friends from Twitter.")
                  : qsTr("By signing in you can share your stations and invite friends from") + " Twitter."
            anchors.top: mainPage.twitterIsLogin?screenNam.bottom:pwdInputBg.bottom
            anchors.topMargin: 20
            font.bold: true
            font.pixelSize: 24
            anchors.horizontalCenter: parent.horizontalCenter
            wrapMode: Text.Wrap
            width: parent.width-40
            color: "white"
        }
        Text {
            id: followST
            text: qsTr("Follow Soundtracker")
            anchors.top:introduceInfo.bottom
            anchors.topMargin: 20
            font.bold: true
            font.pixelSize: 26
            anchors.left: parent.left
            anchors.leftMargin: 20
            color: "white"
        }
        Switch{
            id:checkBtn
            anchors.top: followST.top
            checked: mainPage.isFollowingST
            anchors.right: parent.right
            anchors.rightMargin: 20
            platformStyle: SwitchStyle {__invertedString: "-inverted"}
            enabled: mainPage.twitterIsLogin
            onCheckedChanged: {
                if(mainPage.twitterIsLogin){
                    if(checkBtn.checked&&(!mainPage.isFollowingST)){
                        mask.visible = true;
                        indicator.running = true;
                        indicator.visible = true;
                        context.addTwFollowing();
                    }else if((!checkBtn.checked)&&mainPage.isFollowingST){
                        mask.visible = true;
                        indicator.running = true;
                        indicator.visible = true;
                        context.unFollowingST();
                    }
                }
            }
        }

        Image {
            id: connectBtn
            source:mainPage.twitterIsLogin?"../image/icon_red.png":"../image/others.png"
            anchors.top:followST.bottom
            anchors.topMargin: 20
            anchors.horizontalCenter: parent.horizontalCenter
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    if(mainPage.twitterIsLogin){
                        mask.visible = true;
                        indicator.running = true;
                        indicator.visible = true;
                        context.twitterLogout();
                    }else{
                        if(accountInput.text!=""&&pwdInput.text!=""){
                            mask.visible = true;
                            indicator.running = true;
                            indicator.visible = true;
                            mainPage.twitterLoginFrom="connect";
                            accountInput.closeSoftwareInputPanel();
                            pwdInput.closeSoftwareInputPanel();
                            accountInput.focus=false;
                            pwdInput.focus=false;
                            context.twitterLogin(accountInput.text,pwdInput.text);
                        }else{
                            warningIcon.visible=true;
                            errorInfo.text=qsTr("Username and password can not be empty!");
                            errorInfoStatus=true;
                        }
                    }
                }
            }
        }
        Text {
            id: bottonText
            text: mainPage.twitterIsLogin
                  ? qsTr("Disconnect from") + " Twitter"
                  : qsTr("Connect to") + " Twitter"
            anchors.centerIn: connectBtn
            font.bold: true
            font.pixelSize: 24
            color: "white"
        }
        Image {
            id: warningIcon
            source: "../image/warning.png"
            visible: false
            anchors.left: parent.left
            anchors.leftMargin: 20
            anchors.top: connectBtn.bottom
            anchors.topMargin: 10
        }
        Text {
            id: errorInfo
            anchors.left: warningIcon.right
            anchors.leftMargin: 10
            anchors.top: warningIcon.top
            wrapMode: Text.Wrap
            width: parent.width-50
            color: "red"
            font.pixelSize: 24
        }
    }
    Item {
        id: playbackProgressBarArea
        width: parent.width
        height: playbackProgressBarAreaBg.sourceSize.height
        anchors.bottom: bottomBar.top
        visible: {
            if (context.mediaPlayerState == "playing" || context.mediaPlayerState == "paused") {
                return true;
            } else {
                return false;
            }
        }
        Image {
            id: playbackProgressBarAreaBg
            source: "../image/music_play_bg.png"
        }
        MediaPlaybackProgressBar {
            id: mediaPlaybackProgressBar
            anchors.verticalCenter: parent.verticalCenter
            value: context.currentPlayingPosition
            maximum: context.currentPlayingDuration
            leftmum: maximum - value
        }
    }
    StationsBottomBar{
        id:bottomBar
        anchors.bottom: parent.bottom

        onGoBack: {
            pageStack.pop();
        }
    }


    Rectangle{
        id:mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea{
            anchors.fill: parent
            onClicked: {}
        }
        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }
    Timer{
        id: timer
        running: errorInfoStatus
        interval: 4000
        onTriggered: {
            warningIcon.visible=false;
            errorInfo.text=""
            errorInfoStatus=false;
        }
    }
    Component.onCompleted: {
        context.getUserInfo();
        if(mainPage.twitterIsLogin){
            mask.visible = true;
            indicator.running = true;
            indicator.visible = true;
            context.getTwitterInfoLocal();
            context.getWeatherFollowingST();
        }
    }
}
