import QtQuick 1.0
import com.nokia.meego 1.0
import "CommonComponent" as CommonComponent

Rectangle {
    id: twitterLoginPage
    width: parent.width
    height: parent.height

    property bool errorInfoStatus: false
    property string twoauthuid: ""
    property string twiterEmail: ""
    property string twiterFn: ""
    property string twiterLn: ""
    property bool createFromTw: false

    Connections{
        target: context

        onTwitterLoginFinished: {
            if(type ===0 ) {
                if(mainPage.twitterLoginFrom=="login"){
                    twitterLoginPage.twoauthuid = authid;
                    twitterLoginPage.twiterFn = userName;
                    context.getUserByTwitterUid(twitterLoginPage.twoauthuid);
                }else if(mainPage.twitterLoginFrom=="share"){
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    mainPage.twitterIsLogin=true;
                    pageStack.replace(Qt.resolvedUrl("ShareEidt.qml"),{shareType:"Twitter"});
                }else if(mainPage.twitterLoginFrom=="invite"){
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    mainPage.twitterIsLogin=true;
                    pageStack.replace(Qt.resolvedUrl("TwFbSuggestedFriendView.qml"),{inviteType:"Twitter",twitterAuthId:authid});
                }
            }else {
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Login failed. Please check your account and password and then try again.");
                errorInfoStatus=true;
            }
        }

        onGetUserByTwitterUidFinished: {
            if(type===0) {
                context.twLogin(twitterLoginPage.twoauthuid);
            }else if(type==1) {
                var date = new Date();
                var nowTime = "";
                nowTime = date.getYear();
                nowTime = nowTime+date.getMonth();
                nowTime = nowTime+date.getDate();
                nowTime = nowTime+date.getHours();
                nowTime = nowTime+date.getMinutes();
                nowTime = nowTime+date.getSeconds();
                var seed_array = ["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"];
                for (var i = 0;i<8;i++){
                    var index = Math.floor(Math.random()*seed_array.length-1);
                    nowTime = nowTime+seed_array[index];
                }
                nowTime = nowTime+"tw";
                twitterLoginPage.twiterEmail = nowTime+"@soundtracker.fm";
                context.createAccount(twitterLoginPage.twiterFn,twitterLoginPage.twiterLn,twitterLoginPage.twiterEmail,"");
            }else if(type==2) {
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Login failed. Please try again.");
                errorInfoStatus=true;
            }
        }

        onCreateAccountFinished: {
            if(createFromTw){
                twitterLoginPage.twiterFn = "";
                twitterLoginPage.twiterLn = "";
                if(type===0) {
                    context.setTwitterData(twitterLoginPage.twiterEmail,twitterLoginPage.twoauthuid);
                }else if(type==2) {
                    context.setTwitterData(twitterLoginPage.twiterEmail,twitterLoginPage.twoauthuid);
                }else if(type==1) {
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    warningIcon.visible=true;
                    errorInfo.text=qsTr("Login failed. Please try again.");
                    errorInfoStatus=true;
                }
            }
        }

        onSetTwitterDataFinished: {
            twitterLoginPage.twiterEmail="";
            if(type===0) {
                context.twLogin(twitterLoginPage.twoauthuid);
            }else {
                mask.visible = false;
                indicator.running = false;
                indicator.visible = false;
                warningIcon.visible=true;
                errorInfo.text=qsTr("Login failed. Please try again.");
                errorInfoStatus=true;
            }
        }

        onTwLonginFinished: {
            if(mainPage.twitterLoginFrom=="login"){
                twitterLoginPage.twoauthuid="";
                if(type===0) {
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    mainPage.twitterIsLogin = true;
                    mainPage.localstorage.save(accountInput.text,pwdInput.text,2);
                    pageStack.replace(Qt.resolvedUrl("SoundTrackerMain.qml"));
                    mainPage.mainViewDepth=2;
                }else{
                    mask.visible = false;
                    indicator.running = false;
                    indicator.visible = false;
                    warningIcon.visible=true;
                    errorInfo.text=qsTr("Login failed. Please try again.");
                    errorInfoStatus=true;
                }
            }
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            accountInput.closeSoftwareInputPanel();
            pwdInput.closeSoftwareInputPanel();
        }
    }

    // bg
    Image {
        id: bg
        source: "../image/home_bg.png"
        width: parent.width
        height:parent.height
    }

    CommonComponent.CancelDoneTopBar {
        id: topBar
        cancelText: qsTr("Cancel")
        doneText: qsTr("Done")
        onCancel: {
            accountInput.closeSoftwareInputPanel();
            pwdInput.closeSoftwareInputPanel();
            pageStack.pop();
        }
        onDone: {
            accountInput.closeSoftwareInputPanel();
            pwdInput.closeSoftwareInputPanel();
            createFromTw=true;
            if(accountInput.text==""||pwdInput.text==""){
                warningIcon.visible=true;
                errorInfo.text=qsTr("Please Enter Neccessary Infomation!");
                errorInfoStatus=true;
            }else{
                mask.visible = true;
                indicator.running = true;
                indicator.visible = true;
                context.twitterLogin(accountInput.text,pwdInput.text);
            }
        }
    }

    ListView {
        id: soundTrackerSignUpContainer
        anchors.top: topBar.bottom
        anchors.bottom: parent.bottom
        width: parent.width
        clip: true

        MouseArea {
            anchors.fill:parent
            onClicked: {
                accountInput.closeSoftwareInputPanel();
                pwdInput.closeSoftwareInputPanel();
            }
        }

        // signInLabel
        Text {
            id: signInLabel
            text: qsTr("Sign in Twitter")
            color: "white"
            font.pixelSize: 30
            font.bold: true
            anchors.top: soundTrackerSignUpContainer.top
            anchors.topMargin: 30
            anchors.left: parent.left
            anchors.leftMargin: 20
        }

        // userName
        Text {
            id: userName
            text: qsTr("Username")
            color: "gray"
            font.bold: true
            font.pixelSize: 24
            anchors.top: signInLabel.bottom
            anchors.topMargin: 10
            anchors.left: signInLabel.left
        }

        // accountInputBg
        Image {
            id: accountInputBg
            source: "../image/search.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top:userName.bottom
        }

        // accountInput
        TextInput {
            id: accountInput
            anchors.verticalCenter: accountInputBg.verticalCenter
            anchors.left: accountInputBg.left
            anchors.leftMargin: 10
            anchors.right: accountInputBg.right
            anchors.rightMargin: 10
            font.pixelSize: 24
//            text: "ui123456@yahoo.cn"
        }

        Text {
            id: passWord
            text: qsTr("Password")
            color: "gray"
            font.bold: true
            font.pixelSize: 24
            anchors.top: accountInputBg.bottom
            anchors.topMargin: 10
            anchors.left: signInLabel.left
        }

        Image {
            id: pwdInputBg
            source: "../image/search.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top:passWord.bottom
        }

        // pwdInput
        TextInput {
            id: pwdInput
            anchors.verticalCenter: pwdInputBg.verticalCenter
            anchors.left: pwdInputBg.left
            anchors.leftMargin: 10
            anchors.right: pwdInputBg.right
            anchors.rightMargin: 10
            font.pixelSize: 24
            echoMode: TextInput.Password
//            text: "ui123456"
        }

        // warningIcon
        Image {
            id: warningIcon
            source: "../image/warning.png"
            visible: false
            anchors.left: signInLabel.left;
            anchors.top: pwdInputBg.bottom
            anchors.topMargin: 10
        }

        // errorInfo
        Text {
            id: errorInfo
            anchors.left: warningIcon.right
            anchors.leftMargin: 10
            anchors.top: warningIcon.top
            wrapMode: Text.Wrap
            width: parent.width-50
            color: "red"
            font.pixelSize: 24
        }
    }

    Rectangle {
        id: mask
        width: parent.width
        height: parent.height
        color: "transparent"
        visible: false

        MouseArea {
            anchors.fill: parent
            onClicked: {}
        }

        BusyIndicator {
            id: indicator
            platformStyle: BusyIndicatorStyle { size: "large" }
            running: false
            visible: false
            anchors.centerIn: parent
        }
    }

    Timer {
        id: timer
        running: errorInfoStatus
        interval: 4000
        onTriggered: {
            warningIcon.visible=false;
            errorInfo.text=""
            errorInfoStatus=false;
        }
    }
}
