import QtQuick 1.0

Item {
    id:menuView
    width: parent.width
//    height: parent.height
    height: 854
    state: "HideDown"

    property string strFirstItem: ""
    property string strSecondItem: ""
    signal menuItemClick(int index)

    Rectangle{
        color: "black"
        opacity: 0.7
        width: parent.width
        height: parent.height
        MouseArea{
            anchors.fill: parent
            onClicked: menuView.state="HideDown"
        }
    }
    Image {
        id: popUpBg
        source: "../image/pop_up.png"
        anchors.bottom: parent.bottom
        height: 160
    }
    Rectangle{
        id:popUpContainer
        width: 455
        height: popUpBg.height-20
        anchors.centerIn: popUpBg
        radius: 5
        color: "gray"
        Item{
            id:addFriendBtn
            width: parent.width
            height: parent.height/2
            anchors.top: parent.top
            Text {
                text: strFirstItem//qsTr("Add friends")
                anchors.left: parent.left
                anchors.leftMargin: 20
                anchors.verticalCenter: parent.verticalCenter
                color: "white"
                font.pixelSize: 24
            }
            Rectangle{
                id:line
                width: parent.width
                height: 1
                color: "lightgray"
                anchors.bottom: parent.bottom
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    menuView.state="HideDown";
                    menuItemClick(0);
                    //pageStack.push(Qt.resolvedUrl("InviteFriends.qml"));
                }
            }
        }
        Item{
            id:openPlayerBtn
            width: parent.width
            height: parent.height/2
            anchors.bottom: parent.bottom
            Text {
                text: strSecondItem//qsTr("Open player")
                anchors.left: parent.left
                anchors.leftMargin: 20
                anchors.verticalCenter: parent.verticalCenter
                color: "white"
                font.pixelSize: 24
            }
            Rectangle{
                id:line2
                width: parent.width
                height: 1
                color: "lightgray"
                anchors.bottom: parent.bottom
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    menuView.state="HideDown";
                    menuItemClick(1);
                    //pageStack.push(Qt.resolvedUrl("StationPlayer.qml"));
                }
            }
        }
    }
    states: [
        State {
            name: "HideDown"
            AnchorChanges { target: menuView; anchors.top: friendsPageBottomBar.bottom}
        },
        State {
            name: "ShowUp"
            AnchorChanges { target: menuView; anchors.bottom: friendsPageBottomBar.bottom}
        }
    ]
    transitions: [
        Transition {
            AnchorAnimation {
                duration    : 500
                easing.type : Easing.OutQuart
            }
        }
    ]
}
